<?php       
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier chaAre you ready to tak
 nges, it'll appear as if the options have been reset.
 */ 

function optionsframework_option_name() {
	// Change this to use your theme slug
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );
	return $themename;
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 *
 * If you are making your theme translatable, you should replace 'creamery-pro'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
*/

function optionsframework_options() {
	//array of all custom font types.
	$font_types = array( '' => '',
    'ABeeZee' => 'ABeeZee',
    'Abel' => 'Abel',
    'Abril Fatface' => 'Abril Fatface',
    'Aclonica' => 'Aclonica',
    'Acme' => 'Acme',
    'Actor' => 'Actor',
    'Adamina' => 'Adamina',
    'Advent Pro' => 'Advent Pro',
    'Aguafina Script' => 'Aguafina Script',
    'Akronim' => 'Akronim',
    'Aladin' => 'Aladin',
    'Aldrich' => 'Aldrich',
    'Alegreya' => 'Alegreya',
    'Alegreya Sans SC' => 'Alegreya Sans SC',
    'Alegreya SC' => 'Alegreya SC',
    'Alex Brush' => 'Alex Brush',
    'Alef' => 'Alef',
    'Alfa Slab One' => 'Alfa Slab One',
    'Alice' => 'Alice',
    'Alike' => 'Alike',
    'Alike Angular' => 'Alike Angular',
    'Allan' => 'Allan',
    'Allerta' => 'Allerta',
    'Allerta Stencil' => 'Allerta Stencil',
    'Allura' => 'Allura',
    'Almendra' => 'Almendra',
    'Almendra Display' => 'Almendra Display',
    'Almendra SC' => 'Almendra SC',
    'Amiri' => 'Amiri',
    'Amarante' => 'Amarante',
    'Amaranth' => 'Amaranth',
    'Amatic SC' => 'Amatic SC',
    'Amethysta' => 'Amethysta',
    'Amita' => 'Amita',
    'Anaheim' => 'Anaheim',
    'Andada' => 'Andada',
    'Andika' => 'Andika',
    'Annie Use Your Telescope' => 'Annie Use Your Telescope',
    'Anonymous Pro' => 'Anonymous Pro',
    'Antic' => 'Antic',
    'Antic Didone' => 'Antic Didone',
    'Antic Slab' => 'Antic Slab',
    'Anton' => 'Anton',
    'Angkor' => 'Angkor',
    'Arapey' => 'Arapey',
    'Arbutus' => 'Arbutus',
    'Arbutus Slab' => 'Arbutus Slab',
    'Architects Daughter' => 'Architects Daughter',
    'Archivo White' => 'Archivo White',
    'Archivo Narrow' => 'Archivo Narrow',
    'Arial' => 'Arial',
    'Arimo' => 'Arimo',
    'Arya' => 'Arya',
    'Arizonia' => 'Arizonia',
    'Armata' => 'Armata',
    'Artifika' => 'Artifika',
    'Arvo' => 'Arvo',
    'Asar' => 'Asar',
    'Asap' => 'Asap',
    'Asset' => 'Asset',
	'Assistant' => 'Assistant',
    'Astloch' => 'Astloch',
    'Asul' => 'Asul',
    'Atomic Age' => 'Atomic Age',
    'Aubrey' => 'Aubrey',
    'Audiowide' => 'Audiowide',
    'Autour One' => 'Autour One',
    'Average' => 'Average',
    'Average Sans' => 'Average Sans',
    'Averia Gruesa Libre' => 'Averia Gruesa Libre',
    'Averia Libre' => 'Averia Libre',
    'Averia Sans Libre' => 'Averia Sans Libre',
    'Averia Serif Libre' => 'Averia Serif Libre',
    'Battambang' => 'Battambang',
    'Bad Script' => 'Bad Script',
    'Bayon' => 'Bayon',
    'Balthazar' => 'Balthazar',
    'Bangers' => 'Bangers',
    'Basic' => 'Basic',
    'Baumans' => 'Baumans',
    'Belgrano' => 'Belgrano',
    'Belleza' => 'Belleza',
    'BenchNine' => 'BenchNine',
    'Bentham' => 'Bentham',
    'Berkshire Swash' => 'Berkshire Swash',
    'Bevan' => 'Bevan',
    'Bigelow Rules' => 'Bigelow Rules',
    'Bigshot One' => 'Bigshot One',
    'Bilbo' => 'Bilbo',
    'Bilbo Swash Caps' => 'Bilbo Swash Caps',
    'Biryani' => 'Biryani',
    'Bitter' => 'Bitter',
    'White Ops One' => 'White Ops One',
    'Bokor' => 'Bokor',
    'Bonbon' => 'Bonbon',
    'Boogaloo' => 'Boogaloo',
    'Bowlby One' => 'Bowlby One',
    'Bowlby One SC' => 'Bowlby One SC',
    'Brawler' => 'Brawler',
    'Bree Serif' => 'Bree Serif',
    'Bubblegum Sans' => 'Bubblegum Sans',
    'Bubbler One' => 'Bubbler One',
    'Buda' => 'Buda',
    'Buenard' => 'Buenard',
    'Butcherman' => 'Butcherman',
    'Butcherman Caps' => 'Butcherman Caps',
    'Butterfly Kids' => 'Butterfly Kids',
    'Cabin' => 'Cabin',
    'Cabin Condensed' => 'Cabin Condensed',
    'Cabin Sketch' => 'Cabin Sketch',
    'Cabin' => 'Cabin',
    'Caesar Dressing' => 'Caesar Dressing',
    'Cagliostro' => 'Cagliostro',
    'Calligraffitti' => 'Calligraffitti',
    'Cambay' => 'Cambay',
    'Cambo' => 'Cambo',
    'Candal' => 'Candal',
    'Cantarell' => 'Cantarell',
    'Cantata One' => 'Cantata One',
    'Cantora One' => 'Cantora One',
    'Capriola' => 'Capriola',
    'Cardo' => 'Cardo',
    'Carme' => 'Carme',
    'Carrois Gothic' => 'Carrois Gothic',
    'Carrois Gothic SC' => 'Carrois Gothic SC',
    'Carter One' => 'Carter One',
    'Caveat' => 'Caveat',
    'Caveat Brush' => 'Caveat Brush',
    'Catamaran' => 'Catamaran',
    'Caudex' => 'Caudex',
    'Cedarville Cursive' => 'Cedarville Cursive',
    'Ceviche One' => 'Ceviche One',
    'Changa One' => 'Changa One',
    'Chango' => 'Chango',
    'Chau Philomene One' => 'Chau Philomene One',
    'Chenla' => 'Chenla',
    'Chela One' => 'Chela One',
    'Chelsea Market' => 'Chelsea Market',
    'Cherry Cream Soda' => 'Cherry Cream Soda',
    'Cherry Swash' => 'Cherry Swash',
    'Chewy' => 'Chewy',
    'Chicle' => 'Chicle',
    'Chivo' => 'Chivo',
    'Chonburi' => 'Chonburi',
    'Cinzel' => 'Cinzel',
    'Cinzel Decorative' => 'Cinzel Decorative',
    'Clicker Script' => 'Clicker Script',
    'Coda' => 'Coda',
    'Codystar' => 'Codystar',
    'Combo' => 'Combo',
    'Comfortaa' => 'Comfortaa',
    'Coming Soon' => 'Coming Soon',
    'Condiment' => 'Condiment',
    'Content' => 'Content',
    'Contrail One' => 'Contrail One',
    'Convergence' => 'Convergence',
    'Cookie' => 'Cookie',
    'Comic Sans MS' => 'Comic Sans MS',
    'Copse' => 'Copse',
    'Corben' => 'Corben',
    'Courgette' => 'Courgette',
    'Cousine' => 'Cousine',
    'Coustard' => 'Coustard',
    'Covered By Your Grace' => 'Covered By Your Grace',
    'Crafty Girls' => 'Crafty Girls',
    'Creepster' => 'Creepster',
    'Creepster Caps' => 'Creepster Caps',
    'Crete Round' => 'Crete Round',
    'Crimson' => 'Crimson',
    'Croissant One' => 'Croissant One',
    'Crushed' => 'Crushed',
    'Cuprum' => 'Cuprum',
    'Cutive' => 'Cutive',
    'Cutive Mono' => 'Cutive Mono',
    'Damion' => 'Damion',
    'Dangrek' => 'Dangrek',
    'Dancing Script' => 'Dancing Script',
    'Dawning of a New Day' => 'Dawning of a New Day',
    'Days One' => 'Days One',
    'Dekko' => 'Dekko',
    'Delius' => 'Delius',
    'Delius Swash Caps' => 'Delius Swash Caps',
    'Delius Unicase' => 'Delius Unicase',
    'Della Respira' => 'Della Respira',
    'Denk One' => 'Denk One',
    'Devonshire' => 'Devonshire',
    'Dhurjati' => 'Dhurjati',
    'Didact Gothic' => 'Didact Gothic',
    'Diplomata' => 'Diplomata',
    'Diplomata SC' => 'Diplomata SC',
    'Domine' => 'Domine',
    'Donegal One' => 'Donegal One',
    'Doppio One' => 'Doppio One',
    'Dorsa' => 'Dorsa',
    'Dosis' => 'Dosis',
    'Dr Sugiyama' => 'Dr Sugiyama',
    'Droid Sans' => 'Droid Sans',
    'Droid Sans Mono' => 'Droid Sans Mono',
    'Droid Serif' => 'Droid Serif',
    'Duru Sans' => 'Duru Sans',
    'Dynalight' => 'Dynalight',
    'EB Garamond' => 'EB Garamond',
    'Eczar' => 'Eczar',
    'Eagle Lake' => 'Eagle Lake',
    'Eater' => 'Eater',
    'Eater Caps' => 'Eater Caps',
    'Economica' => 'Economica',
    'Ek Mukta' => 'Ek Mukta',
    'Electrolize' => 'Electrolize',
    'Elsie' => 'Elsie',
    'Elsie Swash Caps' => 'Elsie Swash Caps',
    'Emblema One' => 'Emblema One',
    'Emilys Candy' => 'Emilys Candy',
    'Engagement' => 'Engagement',
    'Englebert' => 'Englebert',
    'Enriqueta' => 'Enriqueta',
    'Erica One' => 'Erica One',
    'Esteban' => 'Esteban',
    'Euphoria Script' => 'Euphoria Script',
    'Ewert' => 'Ewert',
    'Exo' => 'Exo',
    'Exo 2' => 'Exo 2',
    'Expletus Sans' => 'Expletus Sans',
    'Fanwood Text' => 'Fanwood Text',
    'Fascinate' => 'Fascinate',
    'Fascinate Inline' => 'Fascinate Inline',
    'Fasthand' => 'Fasthand',
    'Faster One' => 'Faster One',
    'Federant' => 'Federant',
    'Federo' => 'Federo',
    'Felipa' => 'Felipa',
    'Fenix' => 'Fenix',
    'Finger Paint' => 'Finger Paint',
    'Fira Mono' => 'Fira Mono',
    'Fira Sans' => 'Fira Sans',
    'Fjalla One' => 'Fjalla One',
    'Fjord One' => 'Fjord One',
    'Flamenco' => 'Flamenco',
    'Flavors' => 'Flavors',
    'Fondamento' => 'Fondamento',
    'Fontdiner Swanky' => 'Fontdiner Swanky',
    'Forum' => 'Forum',
    'Francois One' => 'Francois One',
    'FreeSans' => 'FreeSans',

    'Freckle Face' => 'Freckle Face',
    'Fredericka the Great' => 'Fredericka the Great',
    'Fredoka One' => 'Fredoka One',
    'Fresca' => 'Fresca',
    'Freehand' => 'Freehand',
    'Frijole' => 'Frijole',
    'Fruktur' => 'Fruktur',
    'Fugaz One' => 'Fugaz One',
    'Gafata' => 'Gafata',
    'Galdeano' => 'Galdeano',
    'Galindo' => 'Galindo',
    'Gentium Basic' => 'Gentium Basic',
    'Gentium Book Basic' => 'Gentium Book Basic',
    'Geo' => 'Geo',
    'Georgia' => 'Georgia',
    'Geostar' => 'Geostar',
    'Geostar Fill' => 'Geostar Fill',
    'Germania One' => 'Germania One',
    'Gilda Display' => 'Gilda Display',
    'Give You Glory' => 'Give You Glory',
    'Glass Antiqua' => 'Glass Antiqua',
    'Glegoo' => 'Glegoo',
    'Gloria Hallelujah' => 'Gloria Hallelujah',
    'Goblin One' => 'Goblin One',
    'Gochi Hand' => 'Gochi Hand',
    'Gorditas' => 'Gorditas',
    'Gurajada' => 'Gurajada',
    'Goudy Bookletter 1911' => 'Goudy Bookletter 1911',
    'Graduate' => 'Graduate',
    'Grand Hotel' => 'Grand Hotel',
    'Gravitas One' => 'Gravitas One',
    'Great Vibes' => 'Great Vibes',
    'Griffy' => 'Griffy',
    'Gruppo' => 'Gruppo',
    'Gudea' => 'Gudea',
    'Gidugu' => 'Gidugu',
    'GFS Didot' => 'GFS Didot',
    'GFS Neohellenic' => 'GFS Neohellenic',
    'Habibi' => 'Habibi',
    'Hammersmith One' => 'Hammersmith One',
    'Halant' => 'Halant',
    'Hanalei' => 'Hanalei',
    'Hanalei Fill' => 'Hanalei Fill',
    'Handlee' => 'Handlee',
    'Hanuman' => 'Hanuman',
    'Happy Monkey' => 'Happy Monkey',
    'Headland One' => 'Headland One',
    'Henny Penny' => 'Henny Penny',
    'Herr Von Muellerhoff' => 'Herr Von Muellerhoff',
    'Hind' => 'Hind',
    'Hind Siliguri' => 'Hind Siliguri',
    'Hind Vadodara' => 'Hind Vadodara',
    'Holtwood One SC' => 'Holtwood One SC',
    'Homemade Apple' => 'Homemade Apple',
    'Homenaje' => 'Homenaje',
    'IM Fell' => 'IM Fell',
    'Itim' => 'Itim',
    'Iceberg' => 'Iceberg',
    'Iceland' => 'Iceland',
    'Imprima' => 'Imprima',
    'Inconsolata' => 'Inconsolata',
    'Inder' => 'Inder',
    'Indie Flower' => 'Indie Flower',
    'Inknut Antiqua' => 'Inknut Antiqua',
    'Inika' => 'Inika',
    'Irish Growler' => 'Irish Growler',
    'Istok Web' => 'Istok Web',
    'Italiana' => 'Italiana',
    'Italianno' => 'Italianno',
    'Jacques Francois' => 'Jacques Francois',
    'Jacques Francois Shadow' => 'Jacques Francois Shadow',
    'Jim Nightshade' => 'Jim Nightshade',
    'Jockey One' => 'Jockey One',
    'Jaldi' => 'Jaldi',
    'Jolly Lodger' => 'Jolly Lodger',
    'Josefin Sans' => 'Josefin Sans',
    'Josefin Sans' => 'Josefin Sans',
    'Josefin Slab' => 'Josefin Slab',
    'Joti One' => 'Joti One',
    'Judson' => 'Judson',
    'Julee' => 'Julee',
    'Julius Sans One' => 'Julius Sans One',
    'Junge' => 'Junge',
    'Jura' => 'Jura',
    'Just Another Hand' => 'Just Another Hand',
    'Just Me Again Down Here' => 'Just Me Again Down Here',
    'Kadwa' => 'Kadwa',
    'Kdam Thmor' => 'Kdam Thmor',
    'Kalam' => 'Kalam', 
    'Kameron' => 'Kameron',
    'Kantumruy' => 'Kantumruy',
    'Karma' => 'Karma',
    'Karla' => 'Karla',
    'Kaushan Script' => 'Kaushan Script',
    'Kavoon' => 'Kavoon',
    'Keania One' => 'Keania One',
    'Kelly Slab' => 'Kelly Slab',
    'Kenia' => 'Kenia',
    'Khand' => 'Khand',
    'Khmer' => 'Khmer',
    'Khula' => 'Khula',
    'Kite One' => 'Kite One',
    'Knewave' => 'Knewave',
    'Kotta One' => 'Kotta One',
    'Kranky' => 'Kranky',
    'Kreon' => 'Kreon',
    'Kristi' => 'Kristi',
    'Koulen' => 'Koulen',
    'Krona One' => 'Krona One',
    'Kurale' => 'Kurale',
    'Lakki Reddy' => 'Lakki Reddy',
    'La Belle Aurore' => 'La Belle Aurore',
    'Lancelot' => 'Lancelot',
    'Laila' => 'Laila',
    'Lato' => 'Lato',
    'Lateef' => 'Lateef',
    'League Script' => 'League Script',
    'Leckerli One' => 'Leckerli One',
    'Ledger' => 'Ledger',
    'Lekton' => 'Lekton',
    'Lemon' => 'Lemon',

    'Libre Baskerville' => 'Libre Baskerville',
    'Life Savers' => 'Life Savers',
    'Lilita One' => 'Lilita One',
    'Limelight' => 'Limelight',
    'Linden Hill' => 'Linden Hill',
    'Lobster' => 'Lobster',
    'Lobster Two' => 'Lobster Two',
    'Londrina Outline' => 'Londrina Outline',
    'Londrina Shadow' => 'Londrina Shadow',
    'Londrina Sketch' => 'Londrina Sketch',
    'Londrina Solid' => 'Londrina Solid',
    'Lora' => 'Lora',
    'Love Ya Like A Sister' => 'Love Ya Like A Sister',
    'Loved by the King' => 'Loved by the King',
    'Lovers Quarrel' => 'Lovers Quarrel',
    'Lucida Sans Unicode' => 'Lucida Sans Unicode',
    'Luckiest Guy' => 'Luckiest Guy',
    'Lusitana' => 'Lusitana',
    'Lustria' => 'Lustria',
    'Macondo' => 'Macondo',
    'Macondo Swash Caps' => 'Macondo Swash Caps',
    'Magra' => 'Magra',
    'Maiden Orange' => 'Maiden Orange',
    'Mallanna' => 'Mallanna',
    'Mandali' => 'Mandali',
    'Mako' => 'Mako',
    'Marcellus' => 'Marcellus',
    'Marcellus SC' => 'Marcellus SC',
    'Marck Script' => 'Marck Script',
    'Margarine' => 'Margarine',
    'Marko One' => 'Marko One',
    'Marmelad' => 'Marmelad',
    'Marvel' => 'Marvel',
    'Martel' => 'Martel',
    'Martel Sans' => 'Martel Sans',
    'Mate' => 'Mate',
    'Mate SC' => 'Mate SC',
    'Maven Pro' => 'Maven Pro',
    'McLaren' => 'McLaren',
    'Meddon' => 'Meddon',
    'MedievalSharp' => 'MedievalSharp',
    'Medula One' => 'Medula One',
    'Megrim' => 'Megrim',
    'Meie Script' => 'Meie Script',
    'Merienda' => 'Merienda',
    'Merienda One' => 'Merienda One',
    'Merriweather' => 'Merriweather',
    'Metal' => 'Metal',
    'Metal Mania' => 'Metal Mania',
    'Metamorphous' => 'Metamorphous',
    'Metrophobic' => 'Metrophobic',
    'Michroma' => 'Michroma',
    'Milonga' => 'Milonga',
    'Miltonian' => 'Miltonian',
    'Miltonian Tattoo' => 'Miltonian Tattoo',
    'Miniver' => 'Miniver',
    'Miss Fajardose' => 'Miss Fajardose',
    'Miss Saint Delafield' => 'Miss Saint Delafield',
    'Modak' => 'Modak',
    'Modern Antiqua' => 'Modern Antiqua',
    'Molengo' => 'Molengo',
    'Molle' => 'Molle',
    'Moulpali' => 'Moulpali',
    'Monda' => 'Monda',
    'Monofett' => 'Monofett',
    'Monoton' => 'Monoton',
    'Monsieur La Doulaise' => 'Monsieur La Doulaise',
    'Montaga' => 'Montaga',
    'Montez' => 'Montez',
    'Montserrat' => 'Montserrat',
    'Montserrat Alternates' => 'Montserrat Alternates',
    'Montserrat Subrayada' => 'Montserrat Subrayada',
    'Mountains of Christmas' => 'Mountains of Christmas',
    'Mouse Memoirs' => 'Mouse Memoirs',
    'Moul' => 'Moul',
    'Mr Bedford' => 'Mr Bedford',
    'Mr Bedfort' => 'Mr Bedfort',
    'Mr Dafoe' => 'Mr Dafoe',
    'Mr De Haviland' => 'Mr De Haviland',
    'Mrs Saint Delafield' => 'Mrs Saint Delafield',
    'Mrs Sheppards' => 'Mrs Sheppards',
    'Muli' => 'Muli',
    'Mystery Quest' => 'Mystery Quest',
    'Neucha' => 'Neucha',
    'Neuton' => 'Neuton',
    'New Rocker' => 'New Rocker',
    'News Cycle' => 'News Cycle',
    'Niconne' => 'Niconne',
    'Nixie One' => 'Nixie One',
    'Nobile' => 'Nobile',
    'Nokora' => 'Nokora',
    'Norican' => 'Norican',
    'Nosifer' => 'Nosifer',
    'Nosifer Caps' => 'Nosifer Caps',
    'Nova Mono' => 'Nova Mono',
    'Noticia Text' => 'Noticia Text',
    'Noto Sans' => 'Noto Sans',
    'Noto Serif' => 'Noto Serif',
    'Nova Round' => 'Nova Round',
    'Numans' => 'Numans',
    'Nunito' => 'Nunito',
    'NTR' => 'NTR',
    'Offside' => 'Offside',
    'Oldenburg' => 'Oldenburg',
    'Oleo Script' => 'Oleo Script',
    'Oleo Script Swash Caps' => 'Oleo Script Swash Caps',
    'Open Sans' => 'Open Sans',
    'Open Sans Condensed' => 'Open Sans Condensed',
    'Oranienbaum' => 'Oranienbaum',
    'Orbitron' => 'Orbitron',
    'Odor Mean Chey' => 'Odor Mean Chey',
    'Oregano' => 'Oregano',
    'Orienta' => 'Orienta',
    'Original Surfer' => 'Original Surfer',
    'Oswald' => 'Oswald',
    'Over the Rainbow' => 'Over the Rainbow',
    'Overlock' => 'Overlock',
    'Overlock SC' => 'Overlock SC',
    'Ovo' => 'Ovo',
    'Oxygen' => 'Oxygen',
    'Oxygen Mono' => 'Oxygen Mono',
    'Palanquin Dark' => 'Palanquin Dark',
    'Peddana' => 'Peddana',
    'Poppins' => 'Poppins',
    'PT Mono' => 'PT Mono',
    'PT Sans' => 'PT Sans',
    'PT Sans Caption' => 'PT Sans Caption',
    'PT Sans Narrow' => 'PT Sans Narrow',
    'PT Serif' => 'PT Serif',
    'PT Serif Caption' => 'PT Serif Caption',
    'Pacifico' => 'Pacifico',
    'Paprika' => 'Paprika',
    'Parisienne' => 'Parisienne',
    'Passero One' => 'Passero One',
    'Passion One' => 'Passion One',
    'Patrick Hand' => 'Patrick Hand',
    'Patrick Hand SC' => 'Patrick Hand SC',
    'Patua One' => 'Patua One',
    'Paytone One' => 'Paytone One',
    'Peralta' => 'Peralta',
    'Permanent Marker' => 'Permanent Marker',
    'Petit Formal Script' => 'Petit Formal Script',
    'Petrona' => 'Petrona',
    'Philosopher' => 'Philosopher',
    'Piedra' => 'Piedra',
    'Pinyon Script' => 'Pinyon Script',
    'Pirata One' => 'Pirata One',
    'Plaster' => 'Plaster',
    'Palatino Linotype' => 'Palatino Linotype',
    'Play' => 'Play',
    'Playball' => 'Playball',
    'Playfair Display' => 'Playfair Display',
    'Playfair Display SC' => 'Playfair Display SC',
    'Podkova' => 'Podkova',
    'Poiret One' => 'Poiret One',
    'Poller One' => 'Poller One',
    'Poly' => 'Poly',
    'Pompiere' => 'Pompiere',
    'Pontano Sans' => 'Pontano Sans',
    'Port Lligat Sans' => 'Port Lligat Sans',
    'Port Lligat Slab' => 'Port Lligat Slab',
    'Prata' => 'Prata',
    'Pragati Narrow' => 'Pragati Narrow',
    'Preahvihear' => 'Preahvihear',
    'Press Start 2P' => 'Press Start 2P',
    'Princess Sofia' => 'Princess Sofia',
    'Prociono' => 'Prociono',
    'Prosto One' => 'Prosto One',
    'Puritan' => 'Puritan',
    'Purple Purse' => 'Purple Purse',
    'Quando' => 'Quando',
    'Quantico' => 'Quantico',
    'Quattrocento' => 'Quattrocento',
    'Quattrocento Sans' => 'Quattrocento Sans',
    'Questrial' => 'Questrial',
    'Quicksand' => 'Quicksand',
    'Quintessential' => 'Quintessential',
    'Qwigley' => 'Qwigley',
    'Racing Sans One' => 'Racing Sans One',
    'Radley' => 'Radley',
    'Rajdhani' => 'Rajdhani',
    'Raleway Dots' => 'Raleway Dots',
    'Raleway' => 'Raleway',
    'Rambla' => 'Rambla',
    'Ramabhadra' => 'Ramabhadra',
    'Ramaraja' => 'Ramaraja',
    'Rammetto One' => 'Rammetto One',
    'Ranchers' => 'Ranchers',
    'Rancho' => 'Rancho',
    'Ranga' => 'Ranga',
    'Ravi Prakash' => 'Ravi Prakash',
    'Rationale' => 'Rationale',
    'Redressed' => 'Redressed',
    'Reenie Beanie' => 'Reenie Beanie',
    'Revalia' => 'Revalia',
    'Rhodium Libre' => 'Rhodium Libre',
    'Ribeye' => 'Ribeye',
    'Ribeye Marrow' => 'Ribeye Marrow',
    'Righteous' => 'Righteous',
    'Risque' => 'Risque',
    'Roboto' => 'Roboto',
    'Roboto Condensed' => 'Roboto Condensed',
    'Roboto Mono' => 'Roboto Mono',
    'Roboto Slab' => 'Roboto Slab',
    'Rochester' => 'Rochester',
    'Rock Salt' => 'Rock Salt',
    'Rokkitt' => 'Rokkitt',
    'Romanesco' => 'Romanesco',
    'Ropa Sans' => 'Ropa Sans',
    'Rosario' => 'Rosario',
    'Rosarivo' => 'Rosarivo',
    'Rouge Script' => 'Rouge Script',
    'Rozha One' => 'Rozha One',
    'Rubik' => 'Rubik',
    'Rubik One' => 'Rubik One',
    'Rubik Mono One' => 'Rubik Mono One',
    'Ruda' => 'Ruda',
    'Rufina' => 'Rufina',
    'Ruge Boogie' => 'Ruge Boogie',
    'Ruluko' => 'Ruluko',
    'Rum Raisin' => 'Rum Raisin',
    'Ruslan Display' => 'Ruslan Display',
    'Russo One' => 'Russo One',
    'Ruthie' => 'Ruthie',
    'Rye' => 'Rye',
    'Sacramento' => 'Sacramento',
    'Sail' => 'Sail',
    'Salsa' => 'Salsa',
    'Sanchez' => 'Sanchez',
    'Sancreek' => 'Sancreek',
    'Sahitya' => 'Sahitya',
    'Sansita One' => 'Sansita One',
    'Sarpanch' => 'Sarpanch',
    'Sarina' => 'Sarina',
    'Satisfy' => 'Satisfy',
    'Scada' => 'Scada',
    'Scheherazade' => 'Scheherazade',
    'Schoolbell' => 'Schoolbell',
    'Seaweed Script' => 'Seaweed Script',
    'Sarala' => 'Sarala',
    'Sevillana' => 'Sevillana',
    'Seymour One' => 'Seymour One',
    'Shadows Into Light' => 'Shadows Into Light',
    'Shadows Into Light Two' => 'Shadows Into Light Two',
    'Shanti' => 'Shanti',
    'Share' => 'Share',
    'Share Tech' => 'Share Tech',
    'Share Tech Mono' => 'Share Tech Mono',
    'Shojumaru' => 'Shojumaru',
    'Short Stack' => 'Short Stack',
    'Sigmar One' => 'Sigmar One',
    'Suranna' => 'Suranna',
    'Suravaram' => 'Suravaram',
    'Suwannaphum' => 'Suwannaphum',
    'Signika' => 'Signika',
    'Signika Negative' => 'Signika Negative',
    'Simonetta' => 'Simonetta',
    'Siemreap' => 'Siemreap',
    'Sirin Stencil' => 'Sirin Stencil',
    'Six Caps' => 'Six Caps',
    'Skranji' => 'Skranji',
    'Slackey' => 'Slackey',
    'Smokum' => 'Smokum',
    'Smythe' => 'Smythe',
    'Sniglet' => 'Sniglet',
    'Snippet' => 'Snippet',
    'Snowburst One' => 'Snowburst One',
    'Sofadi One' => 'Sofadi One',
    'Sofia' => 'Sofia',
    'Sonsie One' => 'Sonsie One',
    'Sorts Mill Goudy' => 'Sorts Mill Goudy',
    'Sorts Mill Goudy' => 'Sorts Mill Goudy',
    'Source Code Pro' => 'Source Code Pro',
    'Source Sans Pro' => 'Source Sans Pro',
    'Special I am one' => 'Special I am one',
    'Spicy Rice' => 'Spicy Rice',
    'Spinnaker' => 'Spinnaker',
    'Spirax' => 'Spirax',
    'Squada One' => 'Squada One',
    'Sree Krushnadevaraya' => 'Sree Krushnadevaraya',
    'Stalemate' => 'Stalemate',
    'Stalinist One' => 'Stalinist One',
    'Stardos Stencil' => 'Stardos Stencil',
    'Stint Ultra Condensed' => 'Stint Ultra Condensed',
    'Stint Ultra Expanded' => 'Stint Ultra Expanded',
    'Stoke' => 'Stoke',
    'Stoke' => 'Stoke',
    'Strait' => 'Strait',
    'Sura' => 'Sura',
    'Sumana' => 'Sumana',
    'Sue Ellen Francisco' => 'Sue Ellen Francisco',
    'Sunshiney' => 'Sunshiney',
    'Supermercado One' => 'Supermercado One',
    'Swanky and Moo Moo' => 'Swanky and Moo Moo',
    'Syncopate' => 'Syncopate',
    'Symbol' => 'Symbol',
    'Timmana' => 'Timmana',
    'Taprom' => 'Taprom',
    'Tangerine' => 'Tangerine',
    'Tahoma' => 'Tahoma',
    'Teko' => 'Teko',
    'Telex' => 'Telex',
    'Tenali Ramakrishna' => 'Tenali Ramakrishna',
    'Tenor Sans' => 'Tenor Sans',
    'Terminal Dosis' => 'Terminal Dosis',
    'Terminal Dosis Light' => 'Terminal Dosis Light',
    'Text Me One' => 'Text Me One',
    'The Girl Next Door' => 'The Girl Next Door',
    'Tienne' => 'Tienne',
    'Tillana' => 'Tillana',
    'Tinos' => 'Tinos',
    'Titan One' => 'Titan One',
    'Titillium Web' => 'Titillium Web',
    'Trade Winds' => 'Trade Winds',
    'Trebuchet MS' => 'Trebuchet MS',
    'Trocchi' => 'Trocchi',
    'Trochut' => 'Trochut',
    'Trykker' => 'Trykker',
    'Tulpen One' => 'Tulpen One',
    'Ubuntu' => 'Ubuntu',
    'Ubuntu Condensed' => 'Ubuntu Condensed',
    'Ubuntu Mono' => 'Ubuntu Mono',
    'Ultra' => 'Ultra',
    'Uncial Antiqua' => 'Uncial Antiqua',
    'Underdog' => 'Underdog',
    'Unica One' => 'Unica One',
    'UnifrakturCook' => 'UnifrakturCook',
    'UnifrakturMaguntia' => 'UnifrakturMaguntia',
    'Unkempt' => 'Unkempt',
    'Unlock' => 'Unlock',
    'Unna' => 'Unna',
    'VT323' => 'VT323',
    'Vampiro One' => 'Vampiro One',
    'Varela' => 'Varela',
    'Varela Round' => 'Varela Round',
    'Vast Shadow' => 'Vast Shadow',
    'Vesper Libre' => 'Vesper Libre',
    'Verdana' => 'Verdana',
    'Vibur' => 'Vibur',
    'Vidaloka' => 'Vidaloka',
    'Viga' => 'Viga',
    'Voces' => 'Voces',
    'Volkhov' => 'Volkhov',
    'Vollkorn' => 'Vollkorn',
    'Voltaire' => 'Voltaire',
    'Waiting for the Sunrise' => 'Waiting for the Sunrise',
    'Wallpoet' => 'Wallpoet',
    'Walter Turncoat' => 'Walter Turncoat',
    'Warnes' => 'Warnes',
    'Wellfleet' => 'Wellfleet',
    'Wendy One' => 'Wendy One',
    'Wire One' => 'Wire One',
    'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
    'Yantramanav' => 'Yantramanav',
    'Yellowtail' => 'Yellowtail',
    'Yeseva One' => 'Yeseva One',
    'Yesteryear' => 'Yesteryear',
    'Zeyada' => 'Zeyada'
  );

	//array of all font sizes.
	$font_sizes = array( 
		'10px' => '10px',
		'11px' => '11px',
	);
	
	$options = array();
	$imagepath =  get_template_directory_uri() . '/images/';

	
	for($n=12;$n<=200;$n+=1){
		$font_sizes[$n.'px'] = $n.'px';
	}
	
	// Pull all the pages into an array
	 $options_pages = array();
	 $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	 $options_pages[''] = 'Select a page:';
	 foreach ($options_pages_obj as $page) {
	  $options_pages[$page->ID] = $page->post_title;
	 }

	// array of section content.
	$section_text = array(	

		1 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section1',
			'bgcolor' 		=> '#2e023b',
			'bgimage'		=> get_template_directory_uri().'/images/section3bg.jpg',
			'class'			=> '',
			'content'		=> '[subtitle align="center" size="60px" color="#ffffff" description="Making your Christmas cake in <br />December is perfect."][button align="center" name="CHECK MENU" link="#" target=""]',
		),
		
		2 => array(
			'section_title'	=> 'OUR MENU',
			'menutitle'		=> 'section2',
			'bgcolor' 		=> '#fafafa',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[subtitle align="center" size="16px" color="#555555" description="Cras metus quam, condimentum ut venen rutrum ediam. Sed vehicula at r quis <br />fringnull lobortis fermentum dignissim."][ourmenu show="-1" menuexcerptlength="15" ordernow="ORDER NOW"]'),
		
		3 => array(
			'section_title'	=> 'OUR STORY',
			'menutitle'		=> 'section3',
			'bgcolor' 		=> '#f3f2f0',
			'bgimage'		=>  '',
			'class'			=> '',
			'content'		=> '[subtitle align="center" size="16px" color="#555555" description="Cras metus quam, condimentum ut venen rutrum ediam. Sed vehicula at r quis <br />fringnull lobortis fermentum dignissim."]
		
[column_content type="one_half"]<img src="'.get_template_directory_uri().'/images/ourstory.jpg" />[/column_content]
[column_content type="one_half_last"]
[aboutme icon="'.get_template_directory_uri().'/images/icon-ourstory-1.png" title="OUR MISSION" description="Fusce convallis justo a sagittis bibendum. Sed tempus turpis diam, nec laoreet velit tincidunt id. Maecenas." url="#" target="_self"]
[aboutme icon="'.get_template_directory_uri().'/images/icon-ourstory-2.png" title="OUR VISION" description="Fusce convallis justo a sagittis bibendum. Sed tempus turpis diam, nec laoreet velit tincidunt id. Maecenas." url="#" target="_self"]
[aboutme icon="'.get_template_directory_uri().'/images/icon-ourstory-3.png" title="WHAT WE DO" description="Fusce convallis justo a sagittis bibendum. Sed tempus turpis diam, nec laoreet velit tincidunt id. Maecenas." url="#" target="_self"]
[/column_content]
			
			',
		),
		
		4 => array(
			'section_title'	=> 'ORDER ONLINE',
			'menutitle'		=> 'section4',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> get_template_directory_uri().'/images/section6bg.jpg',
			'class'			=> '',
			'content'		=> '
			[subtitle align="center" size="16px" color="#d1d1d1" description="Cras metus quam, condimentum ut venen rutrum ediam. Sed vehicula at r quis <br />fringnull lobortis fermentum dignissim."][contact-form-7 id="899" title="Contact form 1"]'
		),	
		
		
		5 => array(
			'section_title'	=> 'LATEST NEWS',
			'menutitle'		=> 'section5',
			'bgcolor' 		=> '#fafafa',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[space height="30px"][latest-news showposts="3" date="show" readmore="READ MORE"]'
		),	
		
		
		6 => array(
			'section_title'	=> 'OUR AWESOME TEAM',
			'menutitle'		=> 'section6',
			'bgcolor' 		=> '#f6f6f6',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[space height="15px"][our-team show="4"]'
			),				
		
		7 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section7',
			'bgcolor' 		=> '#f9f9f9',
			'bgimage'		=> get_template_directory_uri().'/images/section9bg.jpg',
			'class'			=> '',
			'content'		=> '[subtitle align="center" size="63px" color="#ffffff" description="HOW TO MAKE THE BEST CAKE"][space height="60px"][custom-video youtubeid="SAkzMSsueSk"]',
		),
				
				
		8 => array(
			'section_title'	=> 'WHAT OTHER SAY',
			'menutitle'		=> 'section8',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[space height="20px"][testimonials]',
		),	
		
		9 => array(
			'section_title'	=> 'ORDER CAKES',
			'menutitle'		=> 'section9',
			'bgcolor' 		=> '#f6f6f6',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[space height="20px"]
[plans haspopular="yes"]
[plan title="BIRTHDAY CAKE" pricedes="Starting at $19" btntext="ORDER NOW!" btnlink="#" bgcolor="#ffffff"]
	<li>Birthday cake with name</li>
	<li>Custom ingredients</li>
	<li>Custom size</li>
	<li>Custom design</li>
[/plan][plan popular="yes" title="CUSTOM CAKE" pricedes="Starting at $23" btntext="ORDER NOW!" btnlink="#" bgcolor="#e6a84c"]
	<li>Your event style</li>
	<li>Custom ingredients</li>
	<li>Custom size</li>
	<li>Custom design</li>
[/plan][plan title="WEDING CAKE" pricedes="Starting at $29" btntext="ORDER NOW!" btnlink="#" bgcolor="#ffffff"]
	<li>Unlimited layers</li>
	<li>Custom size</li>
	<li>Custom design</li>
	<li>Optional golden coast</li>
[/plan]
[/plans]
			
			',
		),	
		
		10 => array(
			'section_title'	=> 'NEW PRODUCTS',
			'menutitle'		=> 'section10',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[space height="20px"][recent_products per_page="4" columns="4"]',
		),
		
		11 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section11',
			'bgcolor' 		=> '#f5f5f5',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[client_lists][client image="'.get_template_directory_uri().'/images/client-logo1.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo2.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo3.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo4.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo5.jpg" link="#"][/client_lists]',
		),
		
		12 => array(
			'section_title'	=> 'CONTACT US',
			'menutitle'		=> 'section12',
			'bgcolor' 		=> '#f5f5f5',
			'bgimage'		=> get_template_directory_uri().'/images/section13bg.jpg',
			'class'			=> '',
			'content'		=> '[subtitle align="center" size="16px" color="#ffffff" description="Cras metus quam, condimentum ut venen rutrum ediam. Sed vehicula at r quis fringnull </br >lobortis fermentum dignissim. "]
			
			<form class="newsletter-form"><input placeholder="Email Address: Your email address" type="email"><i class="fa fa-paper-plane" aria-hidden="true"><input value="" type="submit"></i></form>
			
			',
		),
	);

	$options = array();

	//Basic Settings
	$options[] = array(
		'name' => __('Basic Settings', 'creamery-pro'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Logo', 'creamery-pro'),
		'desc' => __('Upload your main logo here', 'creamery-pro'),
		'id' => 'logo',
		'class' => '',
		'std'	=> get_template_directory_uri().'/images/logo.png',
		'type' => 'upload');
		
	$options[] = array(		
		'desc' => __('Change your custom logo height', 'creamery-pro'),
		'id' => 'logoheight',
		'std' => '74',
		'type' => 'text');
		
	$options[] = array(	
		'name' => __('Site title & Description', 'creamery-pro'),		
		'desc'	=> __('UnCheck To show site title and description', 'creamery-pro'),
		'id'	=> 'hide_titledesc',
		'type'	=> 'checkbox',
		'std'	=> '1');		
		
	$options[] = array(	
		'name' => __('Layout Option', 'creamery-pro'),		
		'desc'	=> __('Check To Show Box Layout ', 'creamery-pro'),
		'id'	=> 'boxlayout',
		'type'	=> 'checkbox',
		'std'	=> '');
			
	$options[] = array(
		'name' => __('Sticky Header', 'creamery-pro'),
		'desc' => __('Check this to show sticky header on scroll', 'creamery-pro'),
		'id' => 'headstick',
		'std' => '',
		'type' => 'checkbox');		
			
	$options[] = array(
		'name' => __('Disable Animation', 'creamery-pro'),
		'desc' => __('Check this to hide animation on scroll', 'creamery-pro'),
		'id' => 'scrollanimation',
		'std' => '',
		'type' => 'checkbox');		

	$options[] = array(
		'name' => __('Custom CSS', 'creamery-pro'),
		'desc' => __('Some Custom Styling for your site. Place any css codes here instead of the style.css file.', 'creamery-pro'),
		'id' => 'style2',
		'std' => '',
		'type' => 'textarea');
		
		$options[] = array(
		'name' => __('Header Top Info', 'creamery-pro'),
		'desc' => __('Edit header info from here. NOTE: Icon name should be in lowercase without space.(exa.phone) More social icons can be found at: https://fontawesome.com/icons', 'creamery-pro'),
		'id' => 'headerinfo',
		'std' => '<i class="fas fa-phone-square"></i> +11 123 456 7890 <span class="phno"><a href="mailto:info@sitename.com"><i class="fas fa-envelope"></i>info@sitename.com</a></span>',
		'type' => 'textarea');		
		
	$options[] = array(
		'name' => __('Header Top Social Icons', 'creamery-pro'),
		'desc' => __('Edit select social icons for header top', 'creamery-pro'),
		'id' => 'headersocial',
		'std' => '
[social_area] 
[social icon="fab fa-facebook-f" link="#"] 
[social icon="fab fa-twitter" link="#"] 
[social icon="fab fa-google-plus-g" link="#"] 
[social icon="fab fa-linkedin-in" link="#"] 
[social icon="fas fa-rss" link="#"] 
[social icon="fab fa-youtube" link="#"]
[/social_area]',
		'type' => 'textarea');
		
$options[] = array(
		'name' => __('Section Title bottom image', 'creamery-pro'),
		'desc' => __('home page section title bottom image', 'creamery-pro'),
		'id' => 'titlebgimage',
		'std' => get_template_directory_uri().'/images/icon.png',
		'type' => 'upload');	
		

		
	$options[] = array(
		'name' => __('Header Contact info & Social Icons', 'creamery-pro'),
		'desc' => __('UnCheck to show header contact info and social icons', 'creamery-pro'),
		'id' => 'headtopstrip',
		'std' => 'true',
		'type' => 'checkbox');	
		
	// font family start 		
	$options[] = array(
		'name' => __('Font Faces', 'creamery-pro'),
		'desc' => __('Select font for the body text', 'creamery-pro'),
		'id' => 'bodyfontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for the textual logo', 'creamery-pro'),
		'id' => 'logofontface',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for the navigation text', 'creamery-pro'),
		'id' => 'navfontface',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font family for all heading tag.', 'creamery-pro'),
		'id' => 'headfontface',
		'type' => 'select',
		'std' => 'Open Sans',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for Section title', 'creamery-pro'),
		'id' => 'sectiontitlefontface',
		'type' => 'select',
		'std' => 'Open Sans',
		'options' => $font_types );		
			
	$options[] = array(
		'desc' => __('Select font for Slide title', 'creamery-pro'),
		'id' => 'slidetitlefontface',
		'type' => 'select',
		'std' => 'Open Sans',
		'options' => $font_types );	
		
	$options[] = array(
		'desc' => __('Select font for Slide Description', 'creamery-pro'),
		'id' => 'slidedesfontface',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );	

		
	// font sizes start	
	$options[] = array(
		'name' => __('Font Sizes', 'creamery-pro'),
		'desc' => __('Select font size for body text', 'creamery-pro'),
		'id' => 'bodyfontsize',
		'type' => 'select',
		'std' => '16px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for textual logo', 'creamery-pro'),
		'id' => 'logofontsize',
		'type' => 'select',
		'std' => '35px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for navigation', 'creamery-pro'),
		'id' => 'navfontsize',
		'type' => 'select',
		'std' => '15px',
		'options' => $font_sizes );	
		
	$options[] = array(
		'desc' => __('Select font size for section title', 'creamery-pro'),
		'id' => 'sectitlesize',
		'type' => 'select',
		'std' => '47px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for footer title', 'creamery-pro'),
		'id' => 'ftfontsize',
		'type' => 'select',
		'std' => '20px',
		'options' => $font_sizes );	

	$options[] = array(
		'desc' => __('Select h1 font size', 'creamery-pro'),
		'id' => 'h1fontsize',
		'std' => '30px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h2 font size', 'creamery-pro'),
		'id' => 'h2fontsize',
		'std' => '28px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h3 font size', 'creamery-pro'),
		'id' => 'h3fontsize',
		'std' => '18px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h4 font size', 'creamery-pro'),
		'id' => 'h4fontsize',
		'std' => '22px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h5 font size', 'creamery-pro'),
		'id' => 'h5fontsize',
		'std' => '20px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h6 font size', 'creamery-pro'),
		'id' => 'h6fontsize',
		'std' => '16px',
		'type' => 'select',
		'options' => $font_sizes);

	// font colors start
	$options[] = array(
		'name' => __('Site Colors Scheme', 'creamery-pro'),
		'desc' => __('Change the color scheme of hole site', 'creamery-pro'),
		'id' => 'colorscheme',
		'std' => '#e6a84c',
		'type' => 'color');
		
	$options[] = array(			
		'desc' => __('Select Second color of hover', 'creamery-pro'),
		'id' => 'colorscheme_hover',
		'std' => '#c66923',
		'type' => 'color');		
		
	$options[] = array(	
		'name' => __('Font Colors', 'creamery-pro'),	
		'desc' => __('Select font color for the body text', 'creamery-pro'),
		'id' => 'bodyfontcolor',
		'std' => '#373735',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for header top phone and email strip', 'creamery-pro'),
		'id' => 'headertopfontcolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for logo', 'creamery-pro'),
		'id' => 'logofontcolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for logo tagline', 'creamery-pro'),
		'id' => 'logotaglinecolor',
		'std' => '#ffffff',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font color for header social icons', 'creamery-pro'),
		'id' => 'socialfontcolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for section title', 'creamery-pro'),
		'id' => 'sectitlecolor',
		'std' => '#353535',
		'type' => 'color');	
	
	$options[] = array(
		'desc' => __('Select font color for navigation', 'creamery-pro'),
		'id' => 'navfontcolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for homepage top three boxes title', 'creamery-pro'),
		'id' => 'hometopfourbxtitlecolor',
		'std' => '#101010',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for widget title', 'creamery-pro'),
		'id' => 'wdgttitleccolor',
		'std' => '#444444',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer title', 'creamery-pro'),
		'id' => 'foottitlecolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer', 'creamery-pro'),
		'id' => 'footdesccolor',
		'std' => '#6a6a6a',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer right text (design by)', 'creamery-pro'),
		'id' => 'designcolor',
		'std' => '#6a6a6a',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font hover color for links / anchor tags', 'creamery-pro'),
		'id' => 'linkhovercolor',
		'std' => '#272727',
		'type' => 'color');			
		
	$options[] = array(
		'desc' => __('Select font color for sidebar li a', 'creamery-pro'),
		'id' => 'sidebarfontcolor',
		'std' => '#78797c',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font hover color for footer copyright links', 'creamery-pro'),
		'id' => 'copylinkshover',
		'std' => '#ffffff',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h1 font color', 'creamery-pro'),
		'id' => 'h1fontcolor',
		'std' => '#353535',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select h2 font color', 'creamery-pro'),
		'id' => 'h2fontcolor',
		'std' => '#353535',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select h3 font color', 'creamery-pro'),
		'id' => 'h3fontcolor',
		'std' => '#353535',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select h4 font color', 'creamery-pro'),
		'id' => 'h4fontcolor',
		'std' => '#353535',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h5 font color', 'creamery-pro'),
		'id' => 'h5fontcolor',
		'std' => '#353535',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h6 font color', 'creamery-pro'),
		'id' => 'h6fontcolor',
		'std' => '#000000',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer social icons', 'creamery-pro'),
		'id' => 'footsocialcolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for gallery filter ', 'creamery-pro'),
		'id' => 'galleryfiltercolor',
		'std' => '#111111',
		'type' => 'color');			
		
	$options[] = array(
		'desc' => __('Select font color for photogallery title ', 'creamery-pro'),
		'id' => 'gallerytitlecolorhv',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for client testimonilas description', 'creamery-pro'),
		'id' => 'testimonialdescriptioncolor',
		'std' => '#8b8a8a',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for sidebar widget box', 'creamery-pro'),
		'id' => 'widgetboxfontcolor',
		'std' => '#6e6d6d',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer recent posts title', 'creamery-pro'),
		'id' => 'footerpoststitlecolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for toggle menu on responsive', 'creamery-pro'),
		'id' => 'togglemenucolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	// Background start			
	$options[] = array(
		'name' => __('Background Colors', 'creamery-pro'),		
		'desc' => __('Select background color for site header', 'creamery-pro'),
		'id' => 'headerbgcolor',
		'std' => '#000000',
		'type' => 'color');
		
	$options[] = array(		
		'desc' => __('Select background opacity color for site header ', 'creamery-pro'),
		'id' => 'headerbgopacity',
		'std' => '0.4',
		'type' => 'select',
		'options'	=> array('1'=>1, '0.9'=>0.9,'0.8'=>0.8,'0.7'=>0.7,'0.6'=>0.6,'0.5'=>0.5,'0.4'=>0.4,'0.3'=>0.3,'0.2'=>0.2,'0.1'=>0.1,'0.0'=>0.0,));		
		
	$options[] = array(
		'desc' => __('Select background color for footer', 'creamery-pro'),
		'id' => 'footerbgcolor',
		'std' => '#0c0400',
		'type' => 'color');
		
		
	$options[] = array(
		'desc' => __('Select background color for client testimonials Box', 'creamery-pro'),
		'id' => 'testimonialboxbg',
		'std' => '#f6f6f6',
		'type' => 'color');	
	
	$options[] = array(
		'desc' => __('Select background color for sidebar widget box', 'creamery-pro'),
		'id' => 'widgetboxbgcolor',
		'std' => '#F0EFEF',
		'type' => 'color');	
					

	// Border colors			
	$options[] = array(	
		'name' => __('Border Colors', 'creamery-pro'),		
		'desc' => __('Select border color for sidebar li a', 'creamery-pro'),
		'id' => 'sidebarliaborder',
		'std' => '#d0cfcf',
		'type' => 'color');	
		
	$options[] = array(			
		'desc' => __('Select border color for top navigation dropdown li', 'creamery-pro'),
		'id' => 'navlibdcolor',
		'std' => '#555555',
		'type' => 'color');

	// Default Buttons		
	$options[] = array(
		'name' => __('Button Colors', 'creamery-pro'),
		'desc' => __('Select background hover color for default button', 'creamery-pro'),
		'id' => 'btnbghvcolor',
		'std' => '#555555',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select font color default button', 'creamery-pro'),
		'id' => 'btntxtcolor',
		'std' => '#ffffff',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font hover color for default button', 'creamery-pro'),
		'id' => 'btntxthvcolor',
		'std' => '#ffffff',
		'type' => 'color');						

	// Slider Caption colors
	$options[] = array(	
		'name' => __('Slider Caption Colors', 'creamery-pro'),				
		'desc' => __('Select font color for slider title', 'creamery-pro'),
		'id' => 'slidetitlecolor',
		'std' => '#ffffff',
		'type' => 'color');			
		
	$options[] = array(		
		'desc' => __('Select font color for slider description', 'creamery-pro'),
		'id' => 'slidedesccolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
		
	$options[] = array(
		'desc' => __('Select font size for slider title', 'creamery-pro'),
		'id' => 'slidetitlefontsize',
		'type' => 'select',
		'std' => '70px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for slider description', 'creamery-pro'),
		'id' => 'slidedescfontsize',
		'type' => 'select',
		'std' => '15px',
		'options' => $font_sizes );
		
	// Slider controls colors		
	$options[] = array(
		'name' => __('Slider controls Colors', 'creamery-pro'),
		'desc' => __('Select background color for slider pager (dots)', 'creamery-pro'),
		'id' => 'sldpagebg',
		'std' => '#ffffff',
		'type' => 'color');		
		
	$options[] = array(
		'desc' => __('Select background color for slider navigation arrows', 'creamery-pro'),
		'id' => 'sldarrowbg',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(		
		'desc' => __('Select background opacity color for header slider navigation arrows', 'creamery-pro'),
		'id' => 'sldarrowopacity',
		'std' => '1',
		'type' => 'select',
		'options'	=> array('1'=>1, '0.9'=>0.9,'0.8'=>0.8,'0.7'=>0.7,'0.6'=>0.6,'0.5'=>0.5,'0.4'=>0.4,'0.3'=>0.3,'0.2'=>0.2,'0.1'=>0.1,'0.0'=>0.0,));			
		
	$options[] = array(
		'desc' => __('Select Border color for slider pager', 'creamery-pro'),
		'id' => 'sldpagehvbd',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(	
		'name' => __('Excerpt Lenth', 'creamery-pro'),			
		'desc' => __('Select excerpt length for testimonials section', 'creamery-pro'),
		'id' => 'testimonialsexcerptlength',
		'std' => '18',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('Select excerpt length for blog templates posts', 'creamery-pro'),
		'id' => 'blogpostexcerptlength',
		'std' => '35',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('Select excerpt length for footer latest posts', 'creamery-pro'),
		'id' => 'footerpostslength',
		'std' => '8',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change read more button text for latest blog post', 'creamery-pro'),
		'id' => 'readmoretext',
		'std' => 'Read More',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change Show All Button text for photo gallery section', 'creamery-pro'),
		'id' => 'galleryshowallbtn',
		'std' => 'Show All',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change menu word on responsive view', 'creamery-pro'),
		'id' => 'menuwordchange',
		'std' => 'Menu',
		'type' => 'text');			
		
	$options[] = array(
		'name' => __('Blog Single Layout', 'creamery-pro'),
		'desc' => __('Select layout. eg:ight-sidebar, left-sidebar, full-width', 'creamery-pro'),
		'id' => 'singlelayout',
		'type' => 'select',
		'std' => 'singleright',
		'options' => array('singleright'=>'Blog Single Right Sidebar', 'singleleft'=>'Blog Single Left Sidebar', 'sitefull'=>'Blog Single Full Width', 'nosidebar'=>'Blog Single No Sidebar') );	
		
	$options[] = array(
		'name' => __('Team Single Layout', 'creamery-pro'),
		'desc' => __('Select layout. eg:left,right,full', 'creamery-pro'),
		'id' => 'teamsinglelayout',
		'type' => 'select',
		'std' => 'singleright',
		'options' => array('singleright'=>'Team Single Right Sidebar', 'singleleft'=>'Team Single Left Sidebar', 'sitefull'=>'Team Single Full Width', 'nosidebar'=>'Team Single No Sidebar') );		
		
	$options[] = array(
		'name' => __('Woocommerce Page Layout', 'creamery-pro'),
		'desc' => __('Select layout. eg:right-sidebar, left-sidebar, full-width', 'creamery-pro'),
		'id' => 'woocommercelayout',
		'type' => 'select',
		'std' => 'woocommercesitefull',
		'options' => array('woocommerceright'=>'Woocommerce Right Sidebar', 'woocommerceleft'=>'Woocommerce Left Sidebar', 'woocommercesitefull'=>'Woocommerce Full Width') );	
		
	$options[] = array(	
		'name' => __('Testimonials Rotating Speed', 'creamery-pro'),	
		'desc' => __('manage testimonials rotating speed.', 'creamery-pro'),
		'id' => 'testimonialsrotatingspeed',
		'std' => '8000',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('True/False Auto play Testimonials.','creamery-pro'),
		'id' => 'testimonialsautoplay',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'True', 'false'=>'False'));			
		

	//Layout Settings
	$options[] = array(
		'name' => __('Sections', 'creamery-pro'),
		'type' => 'heading');
			
		
	$options[] = array(	
		'name' => __('Four Box Services Section', 'modeling-pro'),		
		'desc' => __('Change title text for Cupcakes sections', 'modeling-pro'),
		'id' => 'newmodelstext',
		'std' => 'Cupcakes',
		'type' => 'text');
		
	$options[] = array(	
		'desc' => __('Change description text for Cupcakes sections', 'modeling-pro'),
		'id' => 'shortdescstext',
		'std' => 'Cras metus quam, condimentum ut venen rutrum ediam. Sed vehicula at r quis fringnull lobortis fermentum dignissim.',
		'type' => 'textarea');
		
	 
	$options[] = array(			
		'desc'	=> __('first Services box for frontpage section','modeling-pro'),
		'id' 	=> 'box1',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for first box.', 'modeling-pro'),
		'id' => 'boximg1',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Second Services box for frontpage section','modeling-pro'),
		'id' 	=> 'box2',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for second box.', 'modeling-pro'),
		'id' => 'boximg2',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Third Services box for frontpage section','modeling-pro'),
		'id' 	=> 'box3',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for third box.', 'modeling-pro'),
		'id' => 'boximg3',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Fourth Services box for frontpage section','modeling-pro'),
		'id' 	=> 'box4',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for fourth box.', 'modeling-pro'),
		'id' => 'boximg4',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	$options[] = array(	
		'desc'	=> __('Fifth Services box for frontpage section','modeling-pro'),
		'id' 	=> 'box5',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for fifth box.', 'modeling-pro'),
		'id' => 'boximg5',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	$options[] = array(	
		'desc'	=> __('Six Services box for frontpage section','modeling-pro'),
		'id' 	=> 'box6',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for six box.', 'modeling-pro'),
		'id' => 'boximg6',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	$options[] = array(		
		'desc' => __('Select excerpt length for services four boxes section', 'modeling-pro'),
		'id' => 'pageboxlength',
		'std' => '20',
		'type' => 'text');			
	
	$options[] = array(			
			'desc'	=> __('Check to hide above our services three column section', 'modeling-pro'),
			'id'	=> 'hidefourbxsec',
			'type'	=> 'checkbox',
			'std'	=> '');		

	//welcome sectiom start
	$options[] = array(	
		'name' => __('Welcome to Website Section', 'modeling-pro'),
		'desc'	=> __('select page for welcome section','modeling-pro'),
		'id' 	=> 'welcomebox',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('Welcome Section button text', 'modeling-pro'),
		'id' => 'welcomebutton',
		'std' => 'Read More',
		'type' => 'text');
	
	$options[] = array(		
		'desc' => __('Select excerpt length for welcome page section', 'modeling-pro'),
		'id' => 'welcomepagelength',
		'std' => '110',
		'type' => 'text');	
	
	$options[] = array(		
		'desc' => __('upload image for welcome section', 'modeling-pro'),
		'id' => 'welcomeimage',
		'class' => '',
		'std'	=> get_template_directory_uri().'/images/welcomeimage.jpg',
		'type' => 'upload');		
			
	$options[] = array(			
			'desc'	=> __('Check to hide welcome section', 'modeling-pro'),
			'id'	=> 'hidewelcomesection',
			'type'	=> 'checkbox',
			'std'	=> ''); //welcome sectiom end
		
	$options[] = array(
		'name' => __('Number of Sections', 'creamery-pro'),
		'desc' => __('Select number of sections', 'creamery-pro'),
		'id' => 'numsection',
		'type' => 'select',
		'std' => '12',
		'options' => array_combine(range(1,30), range(1,30)) );

	$numsecs = of_get_option( 'numsection', 14 );

	for( $n=1; $n<=$numsecs; $n++){
		$options[] = array(
			'desc' => __("<h3>Section ".$n."</h3>", 'creamery-pro'),
			'class' => 'toggle_title',
			'type' => 'info');	
	
		$options[] = array(
			'name' => __('Section Title', 'creamery-pro'),
			'id' => 'sectiontitle'.$n,
			'std' => ( ( isset($section_text[$n]['section_title']) ) ? $section_text[$n]['section_title'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section ID', 'creamery-pro'),
			'desc'	=> __('Enter your section ID here. SECTION ID MUST BE IN SMALL LETTERS ONLY AND DO NOT ADD SPACE OR SYMBOL.', 'creamery-pro'),
			'id' => 'menutitle'.$n,
			'std' => ( ( isset($section_text[$n]['menutitle']) ) ? $section_text[$n]['menutitle'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section Background Color', 'creamery-pro'),
			'desc' => __('Select background color for section', 'creamery-pro'),
			'id' => 'sectionbgcolor'.$n,
			'std' => ( ( isset($section_text[$n]['bgcolor']) ) ? $section_text[$n]['bgcolor'] : '' ),
			'type' => 'color');
			
		$options[] = array(
			'name' => __('Background Image', 'creamery-pro'),
			'id' => 'sectionbgimage'.$n,
			'class' => '',
			'std' => ( ( isset($section_text[$n]['bgimage']) ) ? $section_text[$n]['bgimage'] : '' ),
			'type' => 'upload');

		$options[] = array(
			'name' => __('Section CSS Class', 'creamery-pro'),
			'desc' => __('Set class for this section.', 'creamery-pro'),
			'id' => 'sectionclass'.$n,
			'std' => ( ( isset($section_text[$n]['class']) ) ? $section_text[$n]['class'] : '' ),
			'type' => 'text');
			
		$options[] = array(
			'name'	=> __('Hide Section', 'creamery-pro'),
			'desc'	=> __('Check to hide this section', 'creamery-pro'),
			'id'	=> 'hidesec'.$n,
			'type'	=> 'checkbox',
			'std'	=> '');

		$options[] = array(
			'name' => __('Section Content', 'creamery-pro'),
			'id' => 'sectioncontent'.$n,
			'std' => ( ( isset($section_text[$n]['content']) ) ? $section_text[$n]['content'] : '' ),
			'type' => 'editor');
	}


	//SLIDER SETTINGS
	$options[] = array(
		'name' => __('Homepage Slider', 'creamery-pro'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Inner Page Banner', 'creamery-pro'),
		'desc' => __('Upload inner page banner for site', 'creamery-pro'),
		'id' => 'innerpagebanner',
		'class' => '',
		'std'	=> get_template_directory_uri()."/images/inner-banner.jpg",
		'type' => 'upload');
		
		
	$options[] = array(
		'name' => __('Custom Slider Shortcode Area For Home Page', 'creamery-pro'),
		'desc' => __('Enter here your slider shortcode without php tag', 'creamery-pro'),
		'id' => 'customslider',
		'std' => '',
		'type' => 'textarea');		
		
	$options[] = array(
		'name' => __('Slider Effects and Timing', 'creamery-pro'),
		'desc' => __('Select slider effect.','creamery-pro'),
		'id' => 'slideefect',
		'std' => 'random',
		'type' => 'select',
		'options' => array('random'=>'Random', 'fade'=>'Fade', 'fold'=>'Fold', 'sliceDown'=>'Slide Down', 'sliceDownLeft'=>'Slide Down Left', 'sliceUp'=>'Slice Up', 'sliceUpLeft'=>'Slice Up Left', 'sliceUpDown'=>'Slice Up Down', 'sliceUpDownLeft'=>'Slice Up Down Left', 'slideInRight'=>'SlideIn Right', 'slideInLeft'=>'SlideIn Left', 'boxRandom'=>'Box Random', 'boxRain'=>'Box Rain', 'boxRainReverse'=>'Box Rain Reverse', 'boxRainGrow'=>'Box Rain Grow', 'boxRainGrowReverse'=>'Box Rain Grow Reverse' ));
		
	$options[] = array(
		'desc' => __('Animation speed should be multiple of 100.', 'creamery-pro'),
		'id' => 'slideanim',
		'std' => 500,
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Add slide pause time.', 'creamery-pro'),
		'id' => 'slidepause',
		'std' => 4000,
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slide Controllers', 'creamery-pro'),
		'desc' => __('Hide/Show Direction Naviagtion of slider.','creamery-pro'),
		'id' => 'slidenav',
		'std' => 'false',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Hide/Show pager of slider.','creamery-pro'),
		'id' => 'slidepage',
		'std' => 'false',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Pause Slide on Hover.','creamery-pro'),
		'id' => 'slidepausehover',
		'std' => 'false',
		'type' => 'select',
		'options' => array('true'=>'Yes', 'false'=>'No'));
		
		
	$options[] = array(
		'name' => __('Slider Image 1', 'creamery-pro'),
		'desc' => __('First Slide', 'creamery-pro'),
		'id' => 'slide1',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider1.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 1', 'creamery-pro'),
		'id' => 'slidetitle1',
		'std' => '<h2><span>THE MOST</span>DELICIOUS</h2>',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'creamery-pro'),
		'id' => 'slidedesc1',
		'std' => 'Cras metus quam, condimentum ut venen rutrum ediam. Sed vehicula at r quis fringnull lobortis fermentum dignissim. ',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'creamery-pro'),
		'id' => 'slidebutton1',
		'std' => 'GET STARTED',
		'type' => 'text');	

	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'creamery-pro'),
		'id' => 'slideurl1',
		'std' => '#',
		'type' => 'text');		
		
	
	$options[] = array(
		'name' => __('Slider Image 2', 'creamery-pro'),
		'desc' => __('Second Slide', 'creamery-pro'),
		'class' => '',
		'id' => 'slide2',
		'std' => get_template_directory_uri()."/images/slides/slider2.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 2', 'creamery-pro'),
		'id' => 'slidetitle2',
		'std' => '<h2><span>DELICIOUS & SWEET</span>CELEBRATION CAKES</h2>',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'creamery-pro'),
		'id' => 'slidedesc2',
		'std' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',
		'type' => 'textarea');	
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'creamery-pro'),
		'id' => 'slidebutton2',
		'std' => 'GET STARTED',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'creamery-pro'),
		'id' => 'slideurl2',
		'std' => '#',
		'type' => 'text');	
	
	$options[] = array(
		'name' => __('Slider Image 3', 'creamery-pro'),
		'desc' => __('Third Slide', 'creamery-pro'),
		'id' => 'slide3',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider3.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 3', 'creamery-pro'),
		'id' => 'slidetitle3',
		'std' => '<h2><span>MADE WITH LOVE</span>VANNILA SPECIALS</h2>',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'creamery-pro'),
		'id' => 'slidedesc3',
		'std' => 'Cras metus quam, condimentum ut venen rutrum ediam. Sed vehicula at r quis fringnull lobortis fermentum dignissim. ',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'creamery-pro'),
		'id' => 'slidebutton3',
		'std' => 'GET STARTED',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'creamery-pro'),
		'id' => 'slideurl3',
		'std' => '#',
		'type' => 'text');	
	
	$options[] = array(
		'name' => __('Slider Image 4', 'creamery-pro'),
		'desc' => __('Third Slide', 'creamery-pro'),
		'id' => 'slide4',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 4', 'creamery-pro'),
		'id' => 'slidetitle4',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'creamery-pro'),
		'id' => 'slidedesc4',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'creamery-pro'),
		'id' => 'slidebutton4',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'creamery-pro'),
		'id' => 'slideurl4',
		'std' => '',
		'type' => 'text');				
	
	$options[] = array(
		'name' => __('Slider Image 5', 'creamery-pro'),
		'desc' => __('Fifth Slide', 'creamery-pro'),
		'id' => 'slide5',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 5', 'creamery-pro'),
		'id' => 'slidetitle5',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'creamery-pro'),
		'id' => 'slidedesc5',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'creamery-pro'),
		'id' => 'slidebutton5',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'creamery-pro'),
		'id' => 'slideurl5',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 6', 'creamery-pro'),
		'desc' => __('Sixth Slide', 'creamery-pro'),
		'id' => 'slide6',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 6', 'creamery-pro'),
		'id' => 'slidetitle6',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'creamery-pro'),
		'id' => 'slidedesc6',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'creamery-pro'),
		'id' => 'slidebutton6',
		'std' => '',
		'type' => 'text');		
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'creamery-pro'),
		'id' => 'slideurl6',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 7', 'creamery-pro'),
		'desc' => __('Seventh Slide', 'creamery-pro'),
		'id' => 'slide7',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 7', 'creamery-pro'),
		'id' => 'slidetitle7',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'creamery-pro'),
		'id' => 'slidedesc7',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'creamery-pro'),
		'id' => 'slidebutton7',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'creamery-pro'),
		'id' => 'slideurl7',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 8', 'creamery-pro'),
		'desc' => __('Eighth Slide', 'creamery-pro'),
		'id' => 'slide8',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 8', 'creamery-pro'),
		'id' => 'slidetitle8',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'creamery-pro'),
		'id' => 'slidedesc8',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'creamery-pro'),
		'id' => 'slidebutton8',
		'std' => '',
		'type' => 'text');		
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'creamery-pro'),
		'id' => 'slideurl8',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 9', 'creamery-pro'),
		'desc' => __('Ninth Slide', 'creamery-pro'),
		'id' => 'slide9',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 9', 'creamery-pro'),
		'id' => 'slidetitle9',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'creamery-pro'),
		'id' => 'slidedesc9',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'creamery-pro'),
		'id' => 'slidebutton9',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'creamery-pro'),
		'id' => 'slideurl9',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 10', 'creamery-pro'),
		'desc' => __('Tenth Slide', 'creamery-pro'),
		'id' => 'slide10',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 10', 'creamery-pro'),
		'id' => 'slidetitle10',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'creamery-pro'),
		'id' => 'slidedesc10',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'creamery-pro'),
		'id' => 'slidebutton10',
		'std' => '',
		'type' => 'text');			
	
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'creamery-pro'),
		'id' => 'slideurl10',
		'std' => '',
		'type' => 'text');
	
	//Footer SETTINGS
	$options[] = array(
		'name' => __('Footer', 'creamery-pro'),
		'type' => 'heading');
				
	$options[] = array(
		'name' => __('Footer Layout', 'creamery-pro'),
		'desc' => __('footer Select layout. eg:Column, 1, 2, 3 and 4', 'creamery-pro'),
		'id' => 'footerlayout',
		'type' => 'select',
		'std' => 'copyrightonly',
		'options' => array('onecolumn'=>'Footer 1 column', 'twocolumn'=>'Footer 2 column', 'threecolumn'=>'Footer 3 column', 'fourcolumn'=>'Footer 4 column', 'copyrightonly'=>'Display Only Copyright Section',));	
				
	$options[] = array(
		'name' => __('Footer About company Title', 'creamery-pro'),
		'desc' => __('about company title for footer', 'creamery-pro'),
		'id' => 'abouttitle',
		'std' => 'About Company',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('About company Description', 'creamery-pro'),
		'desc' => __('about company description for footer', 'creamery-pro'),
		'id' => 'aboutusdescription',
		'std' => '<p>Aenean tincidunt elementum porttitor dictum. Pellentes lacus tincidunt elementum porttitor dictum. tortor. Vivamus eu ullamcorper nunc.Aenean tincidunt elementum porttitor dictum. Pellentes lacus tortor. Vivamus eu lipsum content ullamcorper tincidunt elementum porttitor dictum. nunc.</p>',
		'type' => 'textarea');
		
	$options[] = array(
		'name' => __('Footer Quick link title', 'creamery-pro'),
		'desc' => __('Add footer quick link title here', 'creamery-pro'),
		'id' => 'quicklinktitle',
		'std' => 'Quick Links',
		'type' => 'text');	
		
	
	$options[] = array(
		'name' => __('Our Services Title', 'creamery-pro'),
		'desc' => __('our services title.', 'creamery-pro'),
		'id' => 'ourservicestitle',
		'std' => 'Our Services',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Latest Posts', 'creamery-pro'),
		'desc' => __('Add latest post title here', 'creamery-pro'),
		'id' => 'letestpoststitle',
		'std' => 'Latest Posts',
		'type' => 'text');	
		
		
	$options[] = array(
		'desc' => __('Footer Copyright text', 'creamery-pro'),
		'id' => 'copytext',
		'std' => 'Copyright &copy; 2018. All rights reserved | Design &amp; developed by <a href="'.esc_url('https://gracethemes.com/themes/food-bakery-wordpress-theme/').'" target="_blank">Grace Themes</a>',
		'type' => 'textarea',);
		
		$options[] = array(
		'desc' => __('Footer Social Link', 'transport-pro'),
		'id' => 'ftlink',
		'std' => '<h6>Follow Us</h6>[social_area]
[social icon="fab fa-facebook-f" link="#"]
[social icon="fab fa-twitter" link="#"]
[social icon="fab fa-linkedin-in" link="#"]
[social icon="fab fa-google-plus-g" link="#"]				
[/social_area]',
		'type' => 'textarea',);
		
	$options[] = array(
		'desc' => __('Footer Back to Top Button', 'creamery-pro'),
		'id' => 'backtotop',
		'std' => '[back-to-top]',
		'type' => 'textarea',);
		
	//Contact Page
	$options[] = array(
		'name' => __('Contact Us Page', 'creamery-pro'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Contact page details', 'creamery-pro'),
		'desc' => __('Add contact page details here', 'creamery-pro'),
		'id' => 'contactpagedetails',
		'std' => '[column_content type="one_half"]
<h2 class="section_title">Contact Details</h2>
[contact-details icon="fas fa-map-marker-alt" title="Address" info="10 Nr. Street Road, Ohio, USA"]
[contact-details icon="fas fa-phone-square" title="Contact No." info="+91 345-677-554"]
[contact-details icon="fas fa-envelope" title="Email Address" info="info@sitename.com"]
[contact-details icon="fab fa-skype" title="Skype Id" info="mysiteweb"]
[contact-details icon="far fa-clock" title="Working Days" info="monday-friday 10.00AM-6.00PM"]	
[/column_content]

[column_content type="one_half_last"]
<h2 class="section_title">Send Us A Message</h2>
[contact-form-7 id="716" title="Contact form 1"]
[/column_content]',
		'type' => 'editor');
		
		

	//Short codes
	$options[] = array(
		'name' => __('Short Codes', 'creamery-pro'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Latest News', 'creamery-pro'),
		'desc' => __('[latest-news showposts="4" date="show" readmore="READ MORE"]', 'creamery-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Video Shortcode', 'creamery-pro'),
		'desc' => __('[custom-video youtubeid="SAkzMSsueSk"]', 'creamery-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Our Team', 'creamery-pro'),
		'desc' => __('[our-team show="4"]', 'creamery-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Testimonials Rotator', 'creamery-pro'),
		'desc' => __('[testimonials]', 'creamery-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Cupcakes Shortcode', 'creamery-pro'),
		'desc' => __('[cupcakes icon="ADD IMAGE URL HERE" title="Green Cramel" url="#"]ADD DESCRIPTION[/cupcakes]', 'creamery-pro'),
		'type' => 'info');		
		
	$options[] = array(
		'name' => __('Pricing Table Shortcode', 'creamery-pro'),
		'desc' => __('[plans haspopular="yes"]
[plan title="BIRTHDAY CAKE" pricedes="Starting at $19" btntext="ORDER NOW!" btnlink="#" bgcolor="#ffffff"]
    &lt;li&gt;Birthday cake with name&lt;/li&gt;
    &lt;li&gt;Custom ingredients&lt;/li&gt;
    &lt;li&gt;Custom size&lt;/li&gt;
    &lt;li&gt;Custom design&lt;/li&gt;
[/plan][plan popular="yes" title="CUSTOM CAKE" pricedes="Starting at $19" btntext="ORDER NOW!" btnlink="#" bgcolor="#e6a84c"]
    &lt;li&gt;Your event style&lt;/li&gt;
    &lt;li&gt;Custom ingredients&lt;/li&gt;
    &lt;li&gt;Custom size&lt;/li&gt;
    &lt;li&gt;Custom design&lt;/li&gt;
[/plan][plan title="WEDING CAKE" pricedes="Starting at $19" btntext="ORDER NOW!" btnlink="#" bgcolor="#ffffff"]
    &lt;li&gt;Unlimited layers&lt;/li&gt;
    &lt;li&gt;Custom size&lt;/li&gt;
    &lt;li&gt;Custom design&lt;/li&gt;
    &lt;li&gt;Optional golden coast&lt;/li&gt;
[/plan]
[/plans]', 'creamery-pro'),
		'type' => 'info');				
	
	$options[] = array(
		'name' => __('Shop Product Shortcode', 'creamery-pro'),
		'desc' => __('[recent_products per_page="4" columns="4"]', 'creamery-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Our Menu Shortcode', 'creamery-pro'),
		'desc' => __('[ourmenu show="-1" menuexcerptlength="15" ordernow="ORDER NOW"]', 'creamery-pro'),
		'type' => 'info');		
		
	$options[] = array(
		'name' => __('Our Skills', 'creamery-pro'),
		'desc' => __('[skill title="Adobe Photoshop" percent="90" bgcolor="#e6a84c"]<br />
		[skill title="WordPress" percent="60" bgcolor="#e6a84c"]<br />
		[skill title="Photography" percent="70" bgcolor="#e6a84c"]<br />
		[skill title="SEO" percent="50" bgcolor="#e6a84c"]', 'creamery-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Counter', 'creamery-pro'),
		'desc' => __('
		[counter value="4,300" title="MODELS"]<br />
		[counter value="2,430" title="PHOTOGRAPHERS"]<br />
		[counter value="3,620" title="DANCERS"]<br />
		[counter value="1,757" title="MUSICIANS"]', 'creamery-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Contact Details', 'creamery-pro'),
		'desc' => __('[contact-details icon="fas fa-map-marker-alt" title="Address" info="10 Nr. Street Road, Ohio, USA"]<br />
	 [contact-details icon="fas fa-phone-square" title="Contact No." info="+91 345-677-554"]<br />
	 [contact-details icon="fas fa-envelope" title="Email Address" info="info@sitename.com"]<br />
	 [contact-details icon="fab fa-skype" title="Skype Id" info="mysiteweb"]<br />
	 [contact-details icon="far fa-clock" title="Working Days" info="monday-friday 10.00AM-6.00PM"]	', 'creamery-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Our Partners', 'creamery-pro'),
		'desc' => __('[client_lists]<br />
		[client image="Enter here client image logo url with https:" link="#"]<br />
		[client image="Enter here client image logo url with https:" link="#"]<br />
		[client image="Enter here client image logo url with https:" link="#"]<br />
		[client image="Enter here client image logo url with https:" link="#"]<br />
		[client image="Enter here client image logo url with https:" link="#"]<br />
		[/client_lists]', 'creamery-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Photo Gallery', 'creamery-pro'),
		'desc' => __('[photogallery filter="true" show="8"]', 'creamery-pro'),
		'type' => 'info');		
		
	$options[] = array(
		'name' => __('Contact Form', 'creamery-pro'),
		'desc' => __('[contactform to_email="test@example.com" title="Contact Form"] 
', 'creamery-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Custom Button', 'creamery-pro'),
		'desc' => __('[button align="center" name="Read More" link="#" target=""]', 'creamery-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Search Form', 'creamery-pro'),
		'desc' => __('[searchform]', 'creamery-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Social Icons ( Note: More social icons can be found at: https://fontawesome.com/icons)', 'creamery-pro'),
		'desc' => __('[social_area]<br />
			[social icon="fab fa-facebook-f" link="#"]<br />
			[social icon="fab fa-twitter" link="#"]<br />
			[social icon="fab fa-linkedin-in" link="#"]<br />
			[social icon="fab fa-google-plus-g" link="#"]<br />
		[/social_area]', 'creamery-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('2 Column Content', 'creamery-pro'),
		'desc' => __('<pre>
[column_content type="one_half"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_half_last"]
	Column 2 Content goes here...
[/column_content]
</pre>', 'creamery-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('3 Column Content', 'creamery-pro'),
		'desc' => __('<pre>
[column_content type="one_third"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_third"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_third_last"]
	Column 3 Content goes here...
[/column_content]
</pre>', 'creamery-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('4 Column Content', 'creamery-pro'),
		'desc' => __('<pre>
[column_content type="one_fourth"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_fourth"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_fourth"]
	Column 3 Content goes here...
[/column_content]

[column_content type="one_fourth_last"]
	Column 4 Content goes here...
[/column_content]
</pre>', 'creamery-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('5 Column Content', 'creamery-pro'),
		'desc' => __('<pre>
[column_content type="one_fifth"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 3 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 4 Content goes here...
[/column_content]

[column_content type="one_fifth_last"]
	Column 5 Content goes here...
[/column_content]
</pre>', 'creamery-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('Tabs', 'creamery-pro'),
		'desc' => __('<pre>
[tabs]
	[tab title="TAB TITLE 1"]
		TAB CONTENT 1
	[/tab]
	[tab title="TAB TITLE 2"]
		TAB CONTENT 2
	[/tab]
	[tab title="TAB TITLE 3"]
		TAB CONTENT 3
	[/tab]
[/tabs]
</pre>', 'creamery-pro'),
		'type' => 'info');


	$options[] = array(
		'name' => __('Toggle Content', 'creamery-pro'),
		'desc' => __('<pre>
[toggle_content title="Toggle Title 1"]
	Toggle content 1...
[/toggle_content]
[toggle_content title="Toggle Title 2"]
	Toggle content 2...
[/toggle_content]
[toggle_content title="Toggle Title 3"]
	Toggle content 3...
[/toggle_content]
</pre>', 'creamery-pro'),
		'type' => 'info');


	$options[] = array(
		'name' => __('Accordion Content', 'creamery-pro'),
		'desc' => __('<pre>
[accordion]
	[accordion_content title="ACCORDION TITLE 1"]
		ACCORDION CONTENT 1
	[/accordion_content]
	[accordion_content title="ACCORDION TITLE 2"]
		ACCORDION CONTENT 2
	[/accordion_content]
	[accordion_content title="ACCORDION TITLE 3"]
		ACCORDION CONTENT 3
	[/accordion_content]
[/accordion]
</pre>', 'creamery-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Clear', 'creamery-pro'),
		'desc' => __('<pre>
[clear]
</pre>', 'creamery-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Blank Height (space)', 'creamery-pro'),
		'desc' => __('<pre>
[space height="20px"]
</pre>', 'creamery-pro'),
		'type' => 'info');		

	$options[] = array(
		'name' => __('HR / Horizontal separation line', 'creamery-pro'),
		'desc' => __('<pre>
[hr] or &lt;hr&gt;
</pre>', 'creamery-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Subtitle', 'creamery-pro'),
		'desc' => __('[subtitle color="#111111" size="15px" align="left" description="short descriptio here"]', 'creamery-pro'),
		'type' => 'info');	
	
	$options[] = array(
		'name' => __('Scroll to Top', 'creamery-pro'),
		'desc' => __('[back-to-top] 
', 'creamery-pro'),
		'type' => 'info');

	return $options;
}