<?php        
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier changes, it'll appear as if the options have been reset.
 */ 

function optionsframework_option_name() {
	// Change this to use your theme slug
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );
	return $themename;
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 *
 * If you are making your theme translatable, you should replace 'transport-pro'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
*/

function optionsframework_options() {
	//array of all custom font types.
	$font_types = array( '' => '',
	'Assistant' => 'Assistant',
    'ABeeZee' => 'ABeeZee',
    'Abel' => 'Abel',
    'Abril Fatface' => 'Abril Fatface',
    'Aclonica' => 'Aclonica',
    'Acme' => 'Acme',
    'Actor' => 'Actor',
    'Adamina' => 'Adamina',
    'Advent Pro' => 'Advent Pro',
    'Aguafina Script' => 'Aguafina Script',
    'Akronim' => 'Akronim',
    'Aladin' => 'Aladin',
    'Aldrich' => 'Aldrich',
    'Alegreya' => 'Alegreya',
    'Alegreya Sans SC' => 'Alegreya Sans SC',
    'Alegreya SC' => 'Alegreya SC',
    'Alex Brush' => 'Alex Brush',
    'Alef' => 'Alef',
    'Alfa Slab One' => 'Alfa Slab One',
    'Alice' => 'Alice',
    'Alike' => 'Alike',
    'Alike Angular' => 'Alike Angular',
    'Allan' => 'Allan',
    'Allerta' => 'Allerta',
    'Allerta Stencil' => 'Allerta Stencil',
    'Allura' => 'Allura',
    'Almendra' => 'Almendra',
    'Almendra Display' => 'Almendra Display',
    'Almendra SC' => 'Almendra SC',
    'Amiri' => 'Amiri',
    'Amarante' => 'Amarante',
    'Amaranth' => 'Amaranth',
    'Amatic SC' => 'Amatic SC',
    'Amethysta' => 'Amethysta',
    'Amita' => 'Amita',
    'Anaheim' => 'Anaheim',
    'Andada' => 'Andada',
    'Andika' => 'Andika',
    'Annie Use Your Telescope' => 'Annie Use Your Telescope',
    'Anonymous Pro' => 'Anonymous Pro',
    'Antic' => 'Antic',
    'Antic Didone' => 'Antic Didone',
    'Antic Slab' => 'Antic Slab',
    'Anton' => 'Anton',
    'Angkor' => 'Angkor',
    'Arapey' => 'Arapey',
    'Arbutus' => 'Arbutus',
    'Arbutus Slab' => 'Arbutus Slab',
    'Architects Daughter' => 'Architects Daughter',
    'Archivo White' => 'Archivo White',
    'Archivo Narrow' => 'Archivo Narrow',
    'Arial' => 'Arial',
    'Arimo' => 'Arimo',
    'Arya' => 'Arya',
    'Arizonia' => 'Arizonia',
    'Armata' => 'Armata',
    'Artifika' => 'Artifika',
    'Arvo' => 'Arvo',
    'Asar' => 'Asar',
    'Asap' => 'Asap',
    'Asset' => 'Asset',
    'Astloch' => 'Astloch',
    'Asul' => 'Asul',
    'Atomic Age' => 'Atomic Age',
    'Aubrey' => 'Aubrey',
    'Audiowide' => 'Audiowide',
    'Autour One' => 'Autour One',
    'Average' => 'Average',
    'Average Sans' => 'Average Sans',
    'Averia Gruesa Libre' => 'Averia Gruesa Libre',
    'Averia Libre' => 'Averia Libre',
    'Averia Sans Libre' => 'Averia Sans Libre',
    'Averia Serif Libre' => 'Averia Serif Libre',
    'Battambang' => 'Battambang',
    'Bad Script' => 'Bad Script',
    'Bayon' => 'Bayon',
    'Balthazar' => 'Balthazar',
    'Bangers' => 'Bangers',
    'Basic' => 'Basic',
    'Baumans' => 'Baumans',
    'Belgrano' => 'Belgrano',
    'Belleza' => 'Belleza',
    'BenchNine' => 'BenchNine',
    'Bentham' => 'Bentham',
    'Berkshire Swash' => 'Berkshire Swash',
    'Bevan' => 'Bevan',
    'Bigelow Rules' => 'Bigelow Rules',
    'Bigshot One' => 'Bigshot One',
    'Bilbo' => 'Bilbo',
    'Bilbo Swash Caps' => 'Bilbo Swash Caps',
    'Biryani' => 'Biryani',
    'Bitter' => 'Bitter',
    'White Ops One' => 'White Ops One',
    'Bokor' => 'Bokor',
    'Bonbon' => 'Bonbon',
    'Boogaloo' => 'Boogaloo',
    'Bowlby One' => 'Bowlby One',
    'Bowlby One SC' => 'Bowlby One SC',
    'Brawler' => 'Brawler',
    'Bree Serif' => 'Bree Serif',
    'Bubblegum Sans' => 'Bubblegum Sans',
    'Bubbler One' => 'Bubbler One',
    'Buda' => 'Buda',
    'Buenard' => 'Buenard',
    'Butcherman' => 'Butcherman',
    'Butcherman Caps' => 'Butcherman Caps',
    'Butterfly Kids' => 'Butterfly Kids',
    'Cabin' => 'Cabin',
    'Cabin Condensed' => 'Cabin Condensed',
    'Cabin Sketch' => 'Cabin Sketch',
    'Cabin' => 'Cabin',
    'Caesar Dressing' => 'Caesar Dressing',
    'Cagliostro' => 'Cagliostro',
    'Calligraffitti' => 'Calligraffitti',
    'Cambay' => 'Cambay',
    'Cambo' => 'Cambo',
    'Candal' => 'Candal',
    'Cantarell' => 'Cantarell',
    'Cantata One' => 'Cantata One',
    'Cantora One' => 'Cantora One',
    'Capriola' => 'Capriola',
    'Cardo' => 'Cardo',
    'Carme' => 'Carme',
    'Carrois Gothic' => 'Carrois Gothic',
    'Carrois Gothic SC' => 'Carrois Gothic SC',
    'Carter One' => 'Carter One',
    'Caveat' => 'Caveat',
    'Caveat Brush' => 'Caveat Brush',
    'Catamaran' => 'Catamaran',
    'Caudex' => 'Caudex',
    'Cedarville Cursive' => 'Cedarville Cursive',
    'Ceviche One' => 'Ceviche One',
    'Changa One' => 'Changa One',
    'Chango' => 'Chango',
    'Chau Philomene One' => 'Chau Philomene One',
    'Chenla' => 'Chenla',
    'Chela One' => 'Chela One',
    'Chelsea Market' => 'Chelsea Market',
    'Cherry Cream Soda' => 'Cherry Cream Soda',
    'Cherry Swash' => 'Cherry Swash',
    'Chewy' => 'Chewy',
    'Chicle' => 'Chicle',
    'Chivo' => 'Chivo',
    'Chonburi' => 'Chonburi',
    'Cinzel' => 'Cinzel',
    'Cinzel Decorative' => 'Cinzel Decorative',
    'Clicker Script' => 'Clicker Script',
    'Coda' => 'Coda',
    'Codystar' => 'Codystar',
    'Combo' => 'Combo',
    'Comfortaa' => 'Comfortaa',
    'Coming Soon' => 'Coming Soon',
    'Condiment' => 'Condiment',
    'Content' => 'Content',
    'Contrail One' => 'Contrail One',
    'Convergence' => 'Convergence',
    'Cookie' => 'Cookie',
    'Comic Sans MS' => 'Comic Sans MS',
    'Copse' => 'Copse',
    'Corben' => 'Corben',
    'Courgette' => 'Courgette',
    'Cousine' => 'Cousine',
    'Coustard' => 'Coustard',
    'Covered By Your Grace' => 'Covered By Your Grace',
    'Crafty Girls' => 'Crafty Girls',
    'Creepster' => 'Creepster',
    'Creepster Caps' => 'Creepster Caps',
    'Crete Round' => 'Crete Round',
    'Crimson' => 'Crimson',
    'Croissant One' => 'Croissant One',
    'Crushed' => 'Crushed',
    'Cuprum' => 'Cuprum',
    'Cutive' => 'Cutive',
    'Cutive Mono' => 'Cutive Mono',
    'Damion' => 'Damion',
    'Dangrek' => 'Dangrek',
    'Dancing Script' => 'Dancing Script',
    'Dawning of a New Day' => 'Dawning of a New Day',
    'Days One' => 'Days One',
    'Dekko' => 'Dekko',
    'Delius' => 'Delius',
    'Delius Swash Caps' => 'Delius Swash Caps',
    'Delius Unicase' => 'Delius Unicase',
    'Della Respira' => 'Della Respira',
    'Denk One' => 'Denk One',
    'Devonshire' => 'Devonshire',
    'Dhurjati' => 'Dhurjati',
    'Didact Gothic' => 'Didact Gothic',
    'Diplomata' => 'Diplomata',
    'Diplomata SC' => 'Diplomata SC',
    'Domine' => 'Domine',
    'Donegal One' => 'Donegal One',
    'Doppio One' => 'Doppio One',
    'Dorsa' => 'Dorsa',
    'Dosis' => 'Dosis',
    'Dr Sugiyama' => 'Dr Sugiyama',
    'Droid Sans' => 'Droid Sans',
    'Droid Sans Mono' => 'Droid Sans Mono',
    'Droid Serif' => 'Droid Serif',
    'Duru Sans' => 'Duru Sans',
    'Dynalight' => 'Dynalight',
    'EB Garamond' => 'EB Garamond',
    'Eczar' => 'Eczar',
    'Eagle Lake' => 'Eagle Lake',
    'Eater' => 'Eater',
    'Eater Caps' => 'Eater Caps',
    'Economica' => 'Economica',
    'Ek Mukta' => 'Ek Mukta',
    'Electrolize' => 'Electrolize',
    'Elsie' => 'Elsie',
    'Elsie Swash Caps' => 'Elsie Swash Caps',
    'Emblema One' => 'Emblema One',
    'Emilys Candy' => 'Emilys Candy',
    'Engagement' => 'Engagement',
    'Englebert' => 'Englebert',
    'Enriqueta' => 'Enriqueta',
    'Erica One' => 'Erica One',
    'Esteban' => 'Esteban',
    'Euphoria Script' => 'Euphoria Script',
    'Ewert' => 'Ewert',
    'Exo' => 'Exo',
    'Exo 2' => 'Exo 2',
    'Expletus Sans' => 'Expletus Sans',
    'Fanwood Text' => 'Fanwood Text',
    'Fascinate' => 'Fascinate',
    'Fascinate Inline' => 'Fascinate Inline',
    'Fasthand' => 'Fasthand',
    'Faster One' => 'Faster One',
    'Federant' => 'Federant',
    'Federo' => 'Federo',
    'Felipa' => 'Felipa',
    'Fenix' => 'Fenix',
    'Finger Paint' => 'Finger Paint',
    'Fira Mono' => 'Fira Mono',
    'Fira Sans' => 'Fira Sans',
    'Fjalla One' => 'Fjalla One',
    'Fjord One' => 'Fjord One',
    'Flamenco' => 'Flamenco',
    'Flavors' => 'Flavors',
    'Fondamento' => 'Fondamento',
    'Fontdiner Swanky' => 'Fontdiner Swanky',
    'Forum' => 'Forum',
    'Francois One' => 'Francois One',
    'FreeSans' => 'FreeSans',

    'Freckle Face' => 'Freckle Face',
    'Fredericka the Great' => 'Fredericka the Great',
    'Fredoka One' => 'Fredoka One',
    'Fresca' => 'Fresca',
    'Freehand' => 'Freehand',
    'Frijole' => 'Frijole',
    'Fruktur' => 'Fruktur',
    'Fugaz One' => 'Fugaz One',
    'Gafata' => 'Gafata',
    'Galdeano' => 'Galdeano',
    'Galindo' => 'Galindo',
    'Gentium Basic' => 'Gentium Basic',
    'Gentium Book Basic' => 'Gentium Book Basic',
    'Geo' => 'Geo',
    'Georgia' => 'Georgia',
    'Geostar' => 'Geostar',
    'Geostar Fill' => 'Geostar Fill',
    'Germania One' => 'Germania One',
    'Gilda Display' => 'Gilda Display',
    'Give You Glory' => 'Give You Glory',
    'Glass Antiqua' => 'Glass Antiqua',
    'Glegoo' => 'Glegoo',
    'Gloria Hallelujah' => 'Gloria Hallelujah',
    'Goblin One' => 'Goblin One',
    'Gochi Hand' => 'Gochi Hand',
    'Gorditas' => 'Gorditas',
    'Gurajada' => 'Gurajada',
    'Goudy Bookletter 1911' => 'Goudy Bookletter 1911',
    'Graduate' => 'Graduate',
    'Grand Hotel' => 'Grand Hotel',
    'Gravitas One' => 'Gravitas One',
    'Great Vibes' => 'Great Vibes',
    'Griffy' => 'Griffy',
    'Gruppo' => 'Gruppo',
    'Gudea' => 'Gudea',
    'Gidugu' => 'Gidugu',
    'GFS Didot' => 'GFS Didot',
    'GFS Neohellenic' => 'GFS Neohellenic',
    'Habibi' => 'Habibi',
    'Hammersmith One' => 'Hammersmith One',
    'Halant' => 'Halant',
    'Hanalei' => 'Hanalei',
    'Hanalei Fill' => 'Hanalei Fill',
    'Handlee' => 'Handlee',
    'Hanuman' => 'Hanuman',
    'Happy Monkey' => 'Happy Monkey',
    'Headland One' => 'Headland One',
    'Henny Penny' => 'Henny Penny',
    'Herr Von Muellerhoff' => 'Herr Von Muellerhoff',
    'Hind' => 'Hind',
    'Hind Siliguri' => 'Hind Siliguri',
    'Hind Vadodara' => 'Hind Vadodara',
    'Holtwood One SC' => 'Holtwood One SC',
    'Homemade Apple' => 'Homemade Apple',
    'Homenaje' => 'Homenaje',
    'IM Fell' => 'IM Fell',
    'Itim' => 'Itim',
    'Iceberg' => 'Iceberg',
    'Iceland' => 'Iceland',
    'Imprima' => 'Imprima',
    'Inconsolata' => 'Inconsolata',
    'Inder' => 'Inder',
    'Indie Flower' => 'Indie Flower',
    'Inknut Antiqua' => 'Inknut Antiqua',
    'Inika' => 'Inika',
    'Irish Growler' => 'Irish Growler',
    'Istok Web' => 'Istok Web',
    'Italiana' => 'Italiana',
    'Italianno' => 'Italianno',
    'Jacques Francois' => 'Jacques Francois',
    'Jacques Francois Shadow' => 'Jacques Francois Shadow',
    'Jim Nightshade' => 'Jim Nightshade',
    'Jockey One' => 'Jockey One',
    'Jaldi' => 'Jaldi',
    'Jolly Lodger' => 'Jolly Lodger',
    'Josefin Sans' => 'Josefin Sans',
    'Josefin Sans' => 'Josefin Sans',
    'Josefin Slab' => 'Josefin Slab',
    'Joti One' => 'Joti One',
    'Judson' => 'Judson',
    'Julee' => 'Julee',
    'Julius Sans One' => 'Julius Sans One',
    'Junge' => 'Junge',
    'Jura' => 'Jura',
    'Just Another Hand' => 'Just Another Hand',
    'Just Me Again Down Here' => 'Just Me Again Down Here',
    'Kadwa' => 'Kadwa',
    'Kdam Thmor' => 'Kdam Thmor',
    'Kalam' => 'Kalam', 
    'Kameron' => 'Kameron',
    'Kantumruy' => 'Kantumruy',
    'Karma' => 'Karma',
    'Karla' => 'Karla',
    'Kaushan Script' => 'Kaushan Script',
    'Kavoon' => 'Kavoon',
    'Keania One' => 'Keania One',
    'Kelly Slab' => 'Kelly Slab',
    'Kenia' => 'Kenia',
    'Khand' => 'Khand',
    'Khmer' => 'Khmer',
    'Khula' => 'Khula',
    'Kite One' => 'Kite One',
    'Knewave' => 'Knewave',
    'Kotta One' => 'Kotta One',
    'Kranky' => 'Kranky',
    'Kreon' => 'Kreon',
    'Kristi' => 'Kristi',
    'Koulen' => 'Koulen',
    'Krona One' => 'Krona One',
    'Kurale' => 'Kurale',
    'Lakki Reddy' => 'Lakki Reddy',
    'La Belle Aurore' => 'La Belle Aurore',
    'Lancelot' => 'Lancelot',
    'Laila' => 'Laila',
    'Lato' => 'Lato',
    'Lateef' => 'Lateef',
    'League Script' => 'League Script',
    'Leckerli One' => 'Leckerli One',
    'Ledger' => 'Ledger',
    'Lekton' => 'Lekton',
    'Lemon' => 'Lemon',
    'Libre Baskerville' => 'Libre Baskerville',
    'Life Savers' => 'Life Savers',
    'Lilita One' => 'Lilita One',
    'Limelight' => 'Limelight',
    'Linden Hill' => 'Linden Hill',
    'Lobster' => 'Lobster',
    'Lobster Two' => 'Lobster Two',
    'Londrina Outline' => 'Londrina Outline',
    'Londrina Shadow' => 'Londrina Shadow',
    'Londrina Sketch' => 'Londrina Sketch',
    'Londrina Solid' => 'Londrina Solid',
    'Lora' => 'Lora',
    'Love Ya Like A Sister' => 'Love Ya Like A Sister',
    'Loved by the King' => 'Loved by the King',
    'Lovers Quarrel' => 'Lovers Quarrel',
    'Lucida Sans Unicode' => 'Lucida Sans Unicode',
    'Luckiest Guy' => 'Luckiest Guy',
    'Lusitana' => 'Lusitana',
    'Lustria' => 'Lustria',
    'Macondo' => 'Macondo',
    'Macondo Swash Caps' => 'Macondo Swash Caps',
    'Magra' => 'Magra',
    'Maiden Orange' => 'Maiden Orange',
    'Mallanna' => 'Mallanna',
    'Mandali' => 'Mandali',
    'Mako' => 'Mako',
    'Marcellus' => 'Marcellus',
    'Marcellus SC' => 'Marcellus SC',
    'Marck Script' => 'Marck Script',
    'Margarine' => 'Margarine',
    'Marko One' => 'Marko One',
    'Marmelad' => 'Marmelad',
    'Marvel' => 'Marvel',
    'Martel' => 'Martel',
    'Martel Sans' => 'Martel Sans',
    'Mate' => 'Mate',
    'Mate SC' => 'Mate SC',
    'Maven Pro' => 'Maven Pro',
    'McLaren' => 'McLaren',
    'Meddon' => 'Meddon',
    'MedievalSharp' => 'MedievalSharp',
    'Medula One' => 'Medula One',
    'Megrim' => 'Megrim',
    'Meie Script' => 'Meie Script',
    'Merienda' => 'Merienda',
    'Merienda One' => 'Merienda One',
    'Merriweather' => 'Merriweather',
    'Metal' => 'Metal',
    'Metal Mania' => 'Metal Mania',
    'Metamorphous' => 'Metamorphous',
    'Metrophobic' => 'Metrophobic',
    'Michroma' => 'Michroma',
    'Milonga' => 'Milonga',
    'Miltonian' => 'Miltonian',
    'Miltonian Tattoo' => 'Miltonian Tattoo',
    'Miniver' => 'Miniver',
    'Miss Fajardose' => 'Miss Fajardose',
    'Miss Saint Delafield' => 'Miss Saint Delafield',
    'Modak' => 'Modak',
    'Modern Antiqua' => 'Modern Antiqua',
    'Molengo' => 'Molengo',
    'Molle' => 'Molle',
    'Moulpali' => 'Moulpali',
    'Monda' => 'Monda',
    'Monofett' => 'Monofett',
    'Monoton' => 'Monoton',
    'Monsieur La Doulaise' => 'Monsieur La Doulaise',
    'Montaga' => 'Montaga',
    'Montez' => 'Montez',
    'Montserrat' => 'Montserrat',
    'Montserrat Alternates' => 'Montserrat Alternates',
    'Montserrat Subrayada' => 'Montserrat Subrayada',
    'Mountains of Christmas' => 'Mountains of Christmas',
    'Mouse Memoirs' => 'Mouse Memoirs',
    'Moul' => 'Moul',
    'Mr Bedford' => 'Mr Bedford',
    'Mr Bedfort' => 'Mr Bedfort',
    'Mr Dafoe' => 'Mr Dafoe',
    'Mr De Haviland' => 'Mr De Haviland',
    'Mrs Saint Delafield' => 'Mrs Saint Delafield',
    'Mrs Sheppards' => 'Mrs Sheppards',
    'Muli' => 'Muli',
    'Mystery Quest' => 'Mystery Quest',
    'Neucha' => 'Neucha',
    'Neuton' => 'Neuton',
    'New Rocker' => 'New Rocker',
    'News Cycle' => 'News Cycle',
    'Niconne' => 'Niconne',
    'Nixie One' => 'Nixie One',
    'Nobile' => 'Nobile',
    'Nokora' => 'Nokora',
    'Norican' => 'Norican',
    'Nosifer' => 'Nosifer',
    'Nosifer Caps' => 'Nosifer Caps',
    'Nova Mono' => 'Nova Mono',
    'Noticia Text' => 'Noticia Text',
    'Noto Sans' => 'Noto Sans',
    'Noto Serif' => 'Noto Serif',
    'Nova Round' => 'Nova Round',
    'Numans' => 'Numans',
    'Nunito' => 'Nunito',
    'NTR' => 'NTR',
    'Offside' => 'Offside',
    'Oldenburg' => 'Oldenburg',
    'Oleo Script' => 'Oleo Script',
    'Oleo Script Swash Caps' => 'Oleo Script Swash Caps',
    'Open Sans' => 'Open Sans',
    'Open Sans Condensed' => 'Open Sans Condensed',
    'Oranienbaum' => 'Oranienbaum',
    'Orbitron' => 'Orbitron',
    'Odor Mean Chey' => 'Odor Mean Chey',
    'Oregano' => 'Oregano',
    'Orienta' => 'Orienta',
    'Original Surfer' => 'Original Surfer',
    'Oswald' => 'Oswald',
    'Over the Rainbow' => 'Over the Rainbow',
    'Overlock' => 'Overlock',
    'Overlock SC' => 'Overlock SC',
    'Ovo' => 'Ovo',
    'Oxygen' => 'Oxygen',
    'Oxygen Mono' => 'Oxygen Mono',
    'Palanquin Dark' => 'Palanquin Dark',
    'Peddana' => 'Peddana',
    'Poppins' => 'Poppins',
    'PT Mono' => 'PT Mono',
    'PT Sans' => 'PT Sans',
    'PT Sans Caption' => 'PT Sans Caption',
    'PT Sans Narrow' => 'PT Sans Narrow',
    'PT Serif' => 'PT Serif',
    'PT Serif Caption' => 'PT Serif Caption',
    'Pacifico' => 'Pacifico',
    'Paprika' => 'Paprika',
    'Parisienne' => 'Parisienne',
    'Passero One' => 'Passero One',
    'Passion One' => 'Passion One',
    'Patrick Hand' => 'Patrick Hand',
    'Patrick Hand SC' => 'Patrick Hand SC',
    'Patua One' => 'Patua One',
    'Paytone One' => 'Paytone One',
    'Peralta' => 'Peralta',
    'Permanent Marker' => 'Permanent Marker',
    'Petit Formal Script' => 'Petit Formal Script',
    'Petrona' => 'Petrona',
    'Philosopher' => 'Philosopher',
    'Piedra' => 'Piedra',
    'Pinyon Script' => 'Pinyon Script',
    'Pirata One' => 'Pirata One',
    'Plaster' => 'Plaster',
    'Palatino Linotype' => 'Palatino Linotype',
    'Play' => 'Play',
    'Playball' => 'Playball',
    'Playfair Display' => 'Playfair Display',
    'Playfair Display SC' => 'Playfair Display SC',
    'Podkova' => 'Podkova',
    'Poiret One' => 'Poiret One',
    'Poller One' => 'Poller One',
    'Poly' => 'Poly',
    'Pompiere' => 'Pompiere',
    'Pontano Sans' => 'Pontano Sans',
    'Port Lligat Sans' => 'Port Lligat Sans',
    'Port Lligat Slab' => 'Port Lligat Slab',
    'Prata' => 'Prata',
    'Pragati Narrow' => 'Pragati Narrow',
    'Preahvihear' => 'Preahvihear',
    'Press Start 2P' => 'Press Start 2P',
    'Princess Sofia' => 'Princess Sofia',
    'Prociono' => 'Prociono',
    'Prosto One' => 'Prosto One',
    'Puritan' => 'Puritan',
    'Purple Purse' => 'Purple Purse',
    'Quando' => 'Quando',
    'Quantico' => 'Quantico',
    'Quattrocento' => 'Quattrocento',
    'Quattrocento Sans' => 'Quattrocento Sans',
    'Questrial' => 'Questrial',
    'Quicksand' => 'Quicksand',
    'Quintessential' => 'Quintessential',
    'Qwigley' => 'Qwigley',
    'Racing Sans One' => 'Racing Sans One',
    'Radley' => 'Radley',
    'Rajdhani' => 'Rajdhani',
    'Raleway Dots' => 'Raleway Dots',
    'Raleway' => 'Raleway',
    'Rambla' => 'Rambla',
    'Ramabhadra' => 'Ramabhadra',
    'Ramaraja' => 'Ramaraja',
    'Rammetto One' => 'Rammetto One',
    'Ranchers' => 'Ranchers',
    'Rancho' => 'Rancho',
    'Ranga' => 'Ranga',
    'Ravi Prakash' => 'Ravi Prakash',
    'Rationale' => 'Rationale',
    'Redressed' => 'Redressed',
    'Reenie Beanie' => 'Reenie Beanie',
    'Revalia' => 'Revalia',
    'Rhodium Libre' => 'Rhodium Libre',
    'Ribeye' => 'Ribeye',
    'Ribeye Marrow' => 'Ribeye Marrow',
    'Righteous' => 'Righteous',
    'Risque' => 'Risque',
    'Roboto' => 'Roboto',
    'Roboto Condensed' => 'Roboto Condensed',
    'Roboto Mono' => 'Roboto Mono',
    'Roboto Slab' => 'Roboto Slab',
    'Rochester' => 'Rochester',
    'Rock Salt' => 'Rock Salt',
    'Rokkitt' => 'Rokkitt',
    'Romanesco' => 'Romanesco',
    'Ropa Sans' => 'Ropa Sans',
    'Rosario' => 'Rosario',
    'Rosarivo' => 'Rosarivo',
    'Rouge Script' => 'Rouge Script',
    'Rozha One' => 'Rozha One',
    'Rubik' => 'Rubik',
    'Rubik One' => 'Rubik One',
    'Rubik Mono One' => 'Rubik Mono One',
    'Ruda' => 'Ruda',
    'Rufina' => 'Rufina',
    'Ruge Boogie' => 'Ruge Boogie',
    'Ruluko' => 'Ruluko',
    'Rum Raisin' => 'Rum Raisin',
    'Ruslan Display' => 'Ruslan Display',
    'Russo One' => 'Russo One',
    'Ruthie' => 'Ruthie',
    'Rye' => 'Rye',
    'Sacramento' => 'Sacramento',
    'Sail' => 'Sail',
    'Salsa' => 'Salsa',
    'Sanchez' => 'Sanchez',
    'Sancreek' => 'Sancreek',
    'Sahitya' => 'Sahitya',
    'Sansita One' => 'Sansita One',
    'Sarpanch' => 'Sarpanch',
    'Sarina' => 'Sarina',
    'Satisfy' => 'Satisfy',
    'Scada' => 'Scada',
    'Scheherazade' => 'Scheherazade',
    'Schoolbell' => 'Schoolbell',
    'Seaweed Script' => 'Seaweed Script',
    'Sarala' => 'Sarala',
    'Sevillana' => 'Sevillana',
    'Seymour One' => 'Seymour One',
    'Shadows Into Light' => 'Shadows Into Light',
    'Shadows Into Light Two' => 'Shadows Into Light Two',
    'Shanti' => 'Shanti',
    'Share' => 'Share',
    'Share Tech' => 'Share Tech',
    'Share Tech Mono' => 'Share Tech Mono',
    'Shojumaru' => 'Shojumaru',
    'Short Stack' => 'Short Stack',
    'Sigmar One' => 'Sigmar One',
    'Suranna' => 'Suranna',
    'Suravaram' => 'Suravaram',
    'Suwannaphum' => 'Suwannaphum',
    'Signika' => 'Signika',
    'Signika Negative' => 'Signika Negative',
    'Simonetta' => 'Simonetta',
    'Siemreap' => 'Siemreap',
    'Sirin Stencil' => 'Sirin Stencil',
    'Six Caps' => 'Six Caps',
    'Skranji' => 'Skranji',
    'Slackey' => 'Slackey',
    'Smokum' => 'Smokum',
    'Smythe' => 'Smythe',
    'Sniglet' => 'Sniglet',
    'Snippet' => 'Snippet',
    'Snowburst One' => 'Snowburst One',
    'Sofadi One' => 'Sofadi One',
    'Sofia' => 'Sofia',
    'Sonsie One' => 'Sonsie One',
    'Sorts Mill Goudy' => 'Sorts Mill Goudy',
    'Sorts Mill Goudy' => 'Sorts Mill Goudy',
    'Source Code Pro' => 'Source Code Pro',
    'Source Sans Pro' => 'Source Sans Pro',
    'Special I am one' => 'Special I am one',
    'Spicy Rice' => 'Spicy Rice',
    'Spinnaker' => 'Spinnaker',
    'Spirax' => 'Spirax',
    'Squada One' => 'Squada One',
    'Sree Krushnadevaraya' => 'Sree Krushnadevaraya',
    'Stalemate' => 'Stalemate',
    'Stalinist One' => 'Stalinist One',
    'Stardos Stencil' => 'Stardos Stencil',
    'Stint Ultra Condensed' => 'Stint Ultra Condensed',
    'Stint Ultra Expanded' => 'Stint Ultra Expanded',
    'Stoke' => 'Stoke',
    'Stoke' => 'Stoke',
    'Strait' => 'Strait',
    'Sura' => 'Sura',
    'Sumana' => 'Sumana',
    'Sue Ellen Francisco' => 'Sue Ellen Francisco',
    'Sunshiney' => 'Sunshiney',
    'Supermercado One' => 'Supermercado One',
    'Swanky and Moo Moo' => 'Swanky and Moo Moo',
    'Syncopate' => 'Syncopate',
    'Symbol' => 'Symbol',
    'Timmana' => 'Timmana',
    'Taprom' => 'Taprom',
    'Tangerine' => 'Tangerine',
    'Tahoma' => 'Tahoma',
    'Teko' => 'Teko',
    'Telex' => 'Telex',
    'Tenali Ramakrishna' => 'Tenali Ramakrishna',
    'Tenor Sans' => 'Tenor Sans',
    'Terminal Dosis' => 'Terminal Dosis',
    'Terminal Dosis Light' => 'Terminal Dosis Light',
    'Text Me One' => 'Text Me One',
    'The Girl Next Door' => 'The Girl Next Door',
    'Tienne' => 'Tienne',
    'Tillana' => 'Tillana',
    'Tinos' => 'Tinos',
    'Titan One' => 'Titan One',
    'Titillium Web' => 'Titillium Web',
    'Trade Winds' => 'Trade Winds',
    'Trebuchet MS' => 'Trebuchet MS',
    'Trocchi' => 'Trocchi',
    'Trochut' => 'Trochut',
    'Trykker' => 'Trykker',
    'Tulpen One' => 'Tulpen One',
    'Ubuntu' => 'Ubuntu',
    'Ubuntu Condensed' => 'Ubuntu Condensed',
    'Ubuntu Mono' => 'Ubuntu Mono',
    'Ultra' => 'Ultra',
    'Uncial Antiqua' => 'Uncial Antiqua',
    'Underdog' => 'Underdog',
    'Unica One' => 'Unica One',
    'UnifrakturCook' => 'UnifrakturCook',
    'UnifrakturMaguntia' => 'UnifrakturMaguntia',
    'Unkempt' => 'Unkempt',
    'Unlock' => 'Unlock',
    'Unna' => 'Unna',
    'VT323' => 'VT323',
    'Vampiro One' => 'Vampiro One',
    'Varela' => 'Varela',
    'Varela Round' => 'Varela Round',
    'Vast Shadow' => 'Vast Shadow',
    'Vesper Libre' => 'Vesper Libre',
    'Verdana' => 'Verdana',
    'Vibur' => 'Vibur',
    'Vidaloka' => 'Vidaloka',
    'Viga' => 'Viga',
    'Voces' => 'Voces',
    'Volkhov' => 'Volkhov',
    'Vollkorn' => 'Vollkorn',
    'Voltaire' => 'Voltaire',
    'Waiting for the Sunrise' => 'Waiting for the Sunrise',
    'Wallpoet' => 'Wallpoet',
    'Walter Turncoat' => 'Walter Turncoat',
    'Warnes' => 'Warnes',
    'Wellfleet' => 'Wellfleet',
    'Wendy One' => 'Wendy One',
    'Wire One' => 'Wire One',
    'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
    'Yantramanav' => 'Yantramanav',
    'Yellowtail' => 'Yellowtail',
    'Yeseva One' => 'Yeseva One',
    'Yesteryear' => 'Yesteryear',
    'Zeyada' => 'Zeyada'
  );

	//array of all font sizes.
	$font_sizes = array( 
		'10px' => '10px',
		'11px' => '11px',
	);
	
	$options = array();
	$imagepath =  get_template_directory_uri() . '/images/';

	
	for($n=12;$n<=200;$n+=1){
		$font_sizes[$n.'px'] = $n.'px';
	}
	
	// Pull all the pages into an array
	 $options_pages = array();
	 $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	 $options_pages[''] = 'Select a page:';
	 foreach ($options_pages_obj as $page) {
	  $options_pages[$page->ID] = $page->post_title;
	 }

	// array of section content.
	$section_text = array(		
		1 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section1',
			'bgcolor' 		=> '',
			'bgimage'		=> get_template_directory_uri().'/images/section1.jpg',
			'class'			=> '',
			'content'		=> '[subtitle color="#f6c311" bordercolor="#f6c311" fontsize="18px" align="center" description="WHAT WE OFFER"]
<h2 class="section_title">Benefits for User</h2>
[short-desc fontsize="15px" color="#6f6f6f" align="center" description="Duis eget commodo tortor. Donec volutpat, sem amet interdum egestas, mi niiaculis tellus, ornare pulvinar lacus nunc a sem. Duis viverra purus non est fringilla volutpat. Quisque magna turpis."]
[space height="50px"]
[column_content type="one_half"][features image="'.get_template_directory_uri().'/images/feature1.png" title="Satisfied Cost" description="Duis eget commodo tortor. Dvolutpat, sem amet interdum egestas" titlecolor="#ffffff" color="#6f6f6f" link="#"][features image="'.get_template_directory_uri().'/images/feature2.png" title="Trustble" description="Duis eget commodo tortor. Dvolutpat, sem amet interdum egestas" titlecolor="#ffffff" color="#6f6f6f" link="#"][features image="'.get_template_directory_uri().'/images/feature3.png" title="Support 24x7" description="Duis eget commodo tortor. Dvolutpat, sem amet interdum egestas" titlecolor="#ffffff" color="#6f6f6f" link="#"][features image="'.get_template_directory_uri().'/images/feature4.png" title="Enjoy Discounts" description="Duis eget commodo tortor. Dvolutpat, sem amet interdum egestas" titlecolor="#ffffff" color="#6f6f6f" link="#"][features image="'.get_template_directory_uri().'/images/feature5.png" title="Earn Rewards" description="Duis eget commodo tortor. Dvolutpat, sem amet interdum egestas" titlecolor="#ffffff" color="#6f6f6f" link="#"][features image="'.get_template_directory_uri().'/images/feature6.png" title="User Friendly" description="Duis eget commodo tortor. Dvolutpat, sem amet interdum egestas" titlecolor="#ffffff" color="#6f6f6f" link="#"][clear][/column_content]'
		),

		
		2 => array(
			'section_title'	=> 'What Our Advantages',
			'menutitle'		=> 'section2',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '
[column_content type="one_half"]
<p>Tailored Logistic Services</p>
[space height="10px"]
<p>Duis eget commodo tortor. Donec volutpat, sem amet interdum egestas, mi niiaculis tellus, ornare pulvinar lacus nunc a sem. Duis viverra purus non est fringilla volutpat. Quisque magna turpis, pharetr tem maximus maximus elit. Duis lacus metus, bibendum sed consectetur vitae. Fusce </p>
<ul>
	<li><i class="far fa-arrow-alt-circle-right"></i> Cusumer <strong>Package Good</strong></li>
	<li><i class="far fa-arrow-alt-circle-right"></i> Chemical <strong>Good</strong></li>
	<li><i class="far fa-arrow-alt-circle-right"></i> Food <strong>& Beverage</strong></li>
	<li><i class="far fa-arrow-alt-circle-right"></i> Retail <strong>Package Good</strong></li>
	<li><i class="far fa-arrow-alt-circle-right"></i> Energy <strong>Oil & Gas</strong></li>
</ul>
[/column_content]
[column_content type="one_half_last"]<img src="'.get_template_directory_uri().'/images/global.jpg" />[/column_content]

'),
			
		3 => array(
			'section_title'	=> 'Latest News',
			'menutitle'		=> 'section3',
			'bgcolor' 		=> '#f6f6f6',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[latest-news showposts="3"]'
		),			
		
		4 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section4',
			'bgcolor' 		=> '#1f0708',
		    'bgimage'		=> get_template_directory_uri().'/images/counterbg.jpg',
			'class'			=> '',
			'content'		=> '[counter iconname="" value="2,568" title="Delivered Packages"][counter iconname="" value="666,555" title="Kilometer per year"][counter iconname="" value="5,555" title="tons of goods"][counter iconname="" value="888" title="satisfied clients"]'
		),
		
				
		5 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section5',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[column_content type="one_half"][space height="30px"]<img src="'.get_template_directory_uri().'/images/ask-questionsa.jpg" />[/column_content][column_content type="one_half_last"]<h2 class="section_title">Frequently Asked Questions</h2><p>Transport & Logistic</p>
[accordion]
[accordion_content title="Supply Chain Technology"]Duis eget commodo tortor. Donec volutpat, sem amet interdum egestas, mi niiaculis tellus, ornare pulvinar lacus nunc a sem. Duis viverra purus non est fringilla volutpat. Quisque magna turpis, pharetr tem maximus maximus elit. Duis lacus metus, bibendum sed consectetur vitae. Fusce[/accordion_content]

[accordion_content title="Contract Logistics"]Duis eget commodo tortor. Donec volutpat, sem amet interdum egestas, mi niiaculis tellus, ornare pulvinar lacus nunc a sem. Duis viverra purus non est fringilla volutpat. Quisque magna turpis, pharetr tem maximus maximus elit. Duis lacus metus, bibendum sed consectetur vitae. Fusce[/accordion_content]

[accordion_content title="Technical problem or support issue"]Duis eget commodo tortor. Donec volutpat, sem amet interdum egestas, mi niiaculis tellus, ornare pulvinar lacus nunc a sem. Duis viverra purus non est fringilla volutpat. Quisque magna turpis, pharetr tem maximus maximus elit. Duis lacus metus, bibendum sed consectetur vitae. Fusce[/accordion_content]

[accordion_content title="Other Compatible Services"]Duis eget commodo tortor. Donec volutpat, sem amet interdum egestas, mi niiaculis tellus, ornare pulvinar lacus nunc a sem. Duis viverra purus non est fringilla volutpat. Quisque magna turpis, pharetr tem maximus maximus elit. Duis lacus metus, bibendum sed consectetur vitae. Fusce[/accordion_content]

[accordion_content title="Warehousing and Storage"]Duis eget commodo tortor. Donec volutpat, sem amet interdum egestas, mi niiaculis tellus, ornare pulvinar lacus nunc a sem. Duis viverra purus non est fringilla volutpat. Quisque magna turpis, pharetr tem maximus maximus elit. Duis lacus metus, bibendum sed consectetur vitae. Fusce[/accordion_content]
[/accordion][/column_content]',
		),	
		
		6 => array(
			'section_title'	=> 'They Trust Us',
			'menutitle'		=> 'section6',
			'bgcolor' 		=> '#f6f6f6',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[testimonials]',
		),
		
		7 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section7',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=>  get_template_directory_uri().'/images/section7.jpg',
			'class'			=> '',
			'content'		=> '[subtitle color="#f6c311" bordercolor="#f6c311" fontsize="18px" align="center" description="OUR PRICE"]

<h2 class="section_title">Best Pricing For The Week</h2>

[short-desc fontsize="15px" color="#6f6f6f" align="center" description="Duis eget commodo tortor. Donec volutpat, sem amet interdum egestas, mi niiaculis tellus, ornare pulvinar lacus nunc a sem. Duis viverra purus non est fringilla volutpat. Quisque magna turpis."]

[plans haspopular="yes"]
[plan title="BASIC" price="$99" pricedes="/ Per month" btntext="Purchase" btnlink="#" star="1"]
	<li>Single Truck</li>
	<li>Additional Truck Available</li>
	<li>Frieght Insurance</li>
	<li>Packaging</li>
	<li>1000 Km</li>
[/plan][plan popular="yes" title="STANDARD" price="$199" pricedes="/ Per month" btntext="Purchase" btnlink="#" star="3"]
	<li>Double Truck</li>
	<li>Additional Truck Available</li>
	<li>Frieght Insurance</li>
	<li>Packaging</li>
	<li>1500 Km</li>
[/plan][plan title="PREMIUM" price="$199" pricedes="/ Per month" btntext="Purchase" btnlink="#" star="5"]
	<li>Double Truck</li>
	<li>Additional Truck Available</li>
	<li>Frieght Insurance</li>
	<li>Packaging</li>
	<li>Unlimited</li>
[/plan]
[/plans]'
			),
		
		8 => array(
			'section_title'	=> 'Get a Free Quote',
			'menutitle'		=> 'section8',
			'bgcolor' 		=> '#f6f6f6',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[contact-form-7 id="705" title="Get a Free Quote"]'
),

	9 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section9',
			'bgcolor' 		=> '#fafafa',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[client_lists][client image="'.get_template_directory_uri().'/images/client-logo1.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo2.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo3.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo4.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo5.jpg" link="#"][/client_lists]'
),
				
	);

	$options = array();

	//Basic Settings
	$options[] = array(
		'name' => __('Basic Settings', 'transport-pro'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Logo', 'transport-pro'),
		'desc' => __('Upload your main logo here', 'transport-pro'),
		'id' => 'logo',
		'class' => '',
		'std'	=> ''.get_template_directory_uri().'/images/logo.png',
		'type' => 'upload');
		
	$options[] = array(		
		'desc' => __('Change your custom logo height with px', 'transport-pro'),
		'id' => 'logoheight',
		'std' => 'auto',
		'type' => 'text');
		
	$options[] = array(	
		'name' => __('Site title & Description', 'transport-pro'),		
		'desc'	=> __('UnCheck To display site title and description', 'transport-pro'),
		'id'	=> 'hide_titledesc',
		'type'	=> 'checkbox',
		'std'	=> 'true');		
		
	$options[] = array(	
		'name' => __('Layout Option', 'transport-pro'),		
		'desc'	=> __('Check To View Box Layout ', 'transport-pro'),
		'id'	=> 'boxlayout',
		'type'	=> 'checkbox',
		'std'	=> '');
			
	$options[] = array(
		'name' => __('Sticky Header', 'transport-pro'),
		'desc' => __('Check to show sticky header on scroll', 'transport-pro'),
		'id' => 'headstick',
		'std' => '',
		'type' => 'checkbox');		
			
	$options[] = array(
		'name' => __('Homwpage Animation', 'transport-pro'),
		'desc' => __('Check this to hide animation on scroll', 'transport-pro'),
		'id' => 'scrollanimation',
		'std' => '',
		'type' => 'checkbox');		

	$options[] = array(
		'name' => __('Custom CSS', 'transport-pro'),
		'desc' => __('Some Custom Styling for your site. Place any css codes here instead of the style.css file.', 'transport-pro'),
		'id' => 'style2',
		'std' => '',
		'type' => 'textarea');
		
		$options[] = array(
		'name' => __('Header Top Info', 'transport-pro'),
		'desc' => __('Edit header info from here. NOTE: Icon name should be in lowercase without space.(exa.phone) More social icons can be found at: https://fontawesome.com/icons?d=gallery', 'transport-pro'),
		'id' => 'headerinfo',
		'std' => '<span class="phno"><i class="fa fa-rotate-90 fa-phone"></i> +11 123 456 7890</span> <span><i class="fa fa-envelope"></i> info@sitename.com</span> <span><i class="fas fa-map-marker-alt"></i> 227 Marion Street Avenue, London, UK</span>',
		'type' => 'textarea');
		
	$options[] = array(
		'name' => __('Header Top Social Icons', 'transport-pro'),
		'desc' => __('Edit select social icons for header top', 'transport-pro'),
		'id' => 'headersocial',
		'std' => '[social_area]
[social icon="fab fa-facebook" link="#"]
[social icon="fab fa-twitter" link="#"]
[social icon="fab fa-google-plus" link="#"]
[social icon="fab fa-linkedin" link="#"]
[social icon="fab fa-vimeo" link="#"]
[social icon="fab fa-youtube" link="#"]
[/social_area]',
		'type' => 'textarea');
		
		

	$options[] = array(
		'name' => __('Header Get a Free Qoute', 'hotel-center-pro'),
		'desc' => __('Edit select for header', 'hotel-center-pro'),
		'id' => 'headerbook',
		'std' => '<a href="#" class="booknow">Get a Free Qoute</a>',
		'type' => 'textarea');

		
	$options[] = array(
		'name' => __('Header top Strip', 'transport-pro'),
		'desc' => __('Check to hide header top strip', 'transport-pro'),
		'id' => 'headtopstrip',
		'std' => '',
		'type' => 'checkbox');		
		
		
	// font family start 		
	$options[] = array(
		'name' => __('Font Faces', 'transport-pro'),
		'desc' => __('Select font for the body text', 'transport-pro'),
		'id' => 'bodyfontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for the textual logo', 'transport-pro'),
		'id' => 'logofontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for the navigation text', 'transport-pro'),
		'id' => 'navfontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font family for all heading tag.', 'transport-pro'),
		'id' => 'headfontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for Section title', 'transport-pro'),
		'id' => 'sectiontitlefontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );		
			
	$options[] = array(
		'desc' => __('Select font for Slide title', 'transport-pro'),
		'id' => 'slidetitlefontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );	
		
	$options[] = array(
		'desc' => __('Select font for Slide Description', 'transport-pro'),
		'id' => 'slidedesfontface',
		'type' => 'select',
		'std' => 'Roboto Condensed',
		'options' => $font_types );	

		
	// font sizes start	
	$options[] = array(
		'name' => __('Font Sizes', 'transport-pro'),
		'desc' => __('Select font size for body text', 'transport-pro'),
		'id' => 'bodyfontsize',
		'type' => 'select',
		'std' => '15px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for textual logo', 'transport-pro'),
		'id' => 'logofontsize',
		'type' => 'select',
		'std' => '28px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for navigation', 'transport-pro'),
		'id' => 'navfontsize',
		'type' => 'select',
		'std' => '15px',
		'options' => $font_sizes );	
		
	$options[] = array(
		'desc' => __('Select font size for section title', 'transport-pro'),
		'id' => 'sectitlesize',
		'type' => 'select',
		'std' => '38px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for footer title', 'transport-pro'),
		'id' => 'ftfontsize',
		'type' => 'select',
		'std' => '19px',
		'options' => $font_sizes );	

	$options[] = array(
		'desc' => __('Select h1 font size', 'transport-pro'),
		'id' => 'h1fontsize',
		'std' => '30px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h2 font size', 'transport-pro'),
		'id' => 'h2fontsize',
		'std' => '28px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h3 font size', 'transport-pro'),
		'id' => 'h3fontsize',
		'std' => '18px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h4 font size', 'transport-pro'),
		'id' => 'h4fontsize',
		'std' => '22px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h5 font size', 'transport-pro'),
		'id' => 'h5fontsize',
		'std' => '20px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h6 font size', 'transport-pro'),
		'id' => 'h6fontsize',
		'std' => '17px',
		'type' => 'select',
		'options' => $font_sizes);


	// font colors start

	$options[] = array(
		'name' => __('Site Colors Scheme', 'transport-pro'),
		'desc' => __('Change the color scheme of hole site', 'transport-pro'),
		'id' => 'colorscheme',
		'std' => '#f6c311',
		'type' => 'color');

		
	$options[] = array(	
		'name' => __('Font Colors', 'transport-pro'),	
		'desc' => __('Select font color for the body text', 'transport-pro'),
		'id' => 'bodyfontcolor',
		'std' => '#565656',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for textual logo', 'transport-pro'),
		'id' => 'logofontcolor',
		'std' => '#333333',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for header top phone and email strip', 'transport-pro'),
		'id' => 'headertopfontcolor',
		'std' => '#a7a7a7',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for logo tagline', 'transport-pro'),
		'id' => 'logotaglinecolor',
		'std' => '#282828',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font color for header social icons', 'transport-pro'),
		'id' => 'socialfontcolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for section title', 'transport-pro'),
		'id' => 'sectitlecolor',
		'std' => '#222222',
		'type' => 'color');	
		
	
	$options[] = array(
		'desc' => __('Select font color for navigation', 'transport-pro'),
		'id' => 'navfontcolor',
		'std' => '#3f3e3e',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for widget title', 'transport-pro'),
		'id' => 'wdgttitleccolor',
		'std' => '#111111',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer title', 'transport-pro'),
		'id' => 'foottitlecolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer', 'transport-pro'),
		'id' => 'footdesccolor',
		'std' => '#979797',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer left text (copyright)', 'transport-pro'),
		'id' => 'copycolor',
		'std' => '#979797',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer right text (design by)', 'transport-pro'),
		'id' => 'designcolor',
		'std' => '#979797',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font hover color for links / anchor tags', 'transport-pro'),
		'id' => 'linkhovercolor',
		'std' => '#272727',
		'type' => 'color');			
		
	$options[] = array(
		'desc' => __('Select font color for sidebar li a', 'transport-pro'),
		'id' => 'sidebarfontcolor',
		'std' => '#78797c',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font hover color for footer copyright links', 'transport-pro'),
		'id' => 'copylinkshover',
		'std' => '#ffffff',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h1 font color', 'transport-pro'),
		'id' => 'h1fontcolor',
		'std' => '#272727',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select h2 font color', 'transport-pro'),
		'id' => 'h2fontcolor',
		'std' => '#272727',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select h3 font color', 'transport-pro'),
		'id' => 'h3fontcolor',
		'std' => '#272727',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select h4 font color', 'transport-pro'),
		'id' => 'h4fontcolor',
		'std' => '#272727',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h5 font color', 'transport-pro'),
		'id' => 'h5fontcolor',
		'std' => '#272727',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h6 font color', 'transport-pro'),
		'id' => 'h6fontcolor',
		'std' => '#272727',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer social icons', 'transport-pro'),
		'id' => 'footsocialcolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for gallery filter ', 'transport-pro'),
		'id' => 'galleryfiltercolor',
		'std' => '#010101',
		'type' => 'color');			
		 
	$options[] = array(
		'desc' => __('Select font color for photogallery title ', 'transport-pro'),
		'id' => 'gallerytitlecolorhv',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for latest post title', 'transport-pro'),
		'id' => 'latestpoststtlcolor',
		'std' => '#4b4a4a',
		'type' => 'color');
 
	$options[] = array(
		'desc' => __('Select font color for client testimonilas description', 'transport-pro'),
		'id' => 'testimonialdescriptioncolor',
		'std' => '#606060',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for sidebar widget box', 'transport-pro'),
		'id' => 'widgetboxfontcolor',
		'std' => '#6e6d6d',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer recent posts', 'transport-pro'),
		'id' => 'footerpoststitlecolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for toggle menu on responsive', 'transport-pro'),
		'id' => 'togglemenucolor',
		'std' => '#ffffff',
		'type' => 'color');
				
	$options[] = array(
		'desc' => __('Select font color for team member title', 'transport-pro'),
		'id' => 'teamttlfontcolor',
		'std' => '#ffffff',
		'type' => 'color');	
		 	 
	$options[] = array(
		'desc' => __('Select font color for services hover', 'transport-pro'),
		'id' => 'servicehoverfontcolor',
		'std' => '#ffffff',
		'type' => 'color');			
		
	$options[] = array(
		'desc' => __('Select font color for Counter', 'transport-pro'),
		'id' => 'counterfontcolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	// Background start			
	$options[] = array(
		'name' => __('Background Colors', 'transport-pro'),	
		'desc' => __('Select background color for Header', 'transport-pro'),
		'id' => 'headerbgcolor',
		'std' => '#ffffff',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select background color for footer', 'transport-pro'),
		'id' => 'footerbgcolor',
		'std' => '#181818',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select background color for header top strip', 'transport-pro'),
		'id' => 'headertopbgstrip',
		'std' => '#333333',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select background color for Navigation DropDown menu', 'transport-pro'),
		'id' => 'navsubbgcolor',
		'std' => '#f8f8f8',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select background color for footer Social icon', 'transport-pro'),
		'id' => 'footsocialbgcolor',
		'std' => '#212121',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select background color for copyright section', 'transport-pro'),
		'id' => 'copybgcolor',
		'std' => '#070707',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select background color for client testimonials pager dots', 'transport-pro'),
		'id' => 'testidotsbgcolor',
		'std' => '#cccccc',
		'type' => 'color');	
	
	$options[] = array(
		'desc' => __('Select background color for sidebar widget box', 'transport-pro'),
		'id' => 'widgetboxbgcolor',
		'std' => '#F0EFEF',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select background color for page boxes read more button', 'transport-pro'),
		'id' => 'hometopfourbxreadmore',
		'std' => '#404040',
		'type' => 'color');			
		
	// Border colors			
	$options[] = array(	
		'name' => __('Border Colors', 'transport-pro'),		
		'desc' => __('Select border color for sidebar li a', 'transport-pro'),
		'id' => 'sidebarliaborder',
		'std' => '#d0cfcf',
		'type' => 'color');	
		  
	// Default Buttons		
	$options[] = array(
		'name' => __('Button Colors', 'transport-pro'),
		'desc' => __('Select background hover color for default button', 'transport-pro'),
		'id' => 'btnbghvcolor',
		'std' => '#202020',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select font color default button', 'transport-pro'),
		'id' => 'btntxtcolor',
		'std' => '#ffffff',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font hover color for default button', 'transport-pro'),
		'id' => 'btntxthvcolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select background color for shop now button on slider', 'transport-pro'),
		'id' => 'shopbtnbgcolor',
		'std' => '#202020',
		'type' => 'color');	
													

	// Slider Caption colors
	$options[] = array(	
		'name' => __('Slider Caption Colors', 'transport-pro'),				
		'desc' => __('Select font color for slider title', 'transport-pro'),
		'id' => 'slidetitlecolor',
		'std' => '#ffffff',
		'type' => 'color');			
		
	$options[] = array(		
		'desc' => __('Select font color for slider description', 'transport-pro'),
		'id' => 'slidedesccolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
		
	$options[] = array(
		'desc' => __('Select font size for slider title', 'transport-pro'),
		'id' => 'slidetitlefontsize',
		'type' => 'select',
		'std' => '72px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for slider description', 'transport-pro'),
		'id' => 'slidedescfontsize',
		'type' => 'select',
		'std' => '18px',
		'options' => $font_sizes );
		
	// Slider controls colors		
	$options[] = array(
		'name' => __('Slider controls Colors', 'transport-pro'),
		'desc' => __('Select background color for slider pager', 'transport-pro'),
		'id' => 'sldpagebg',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select Border color for slider pager', 'transport-pro'),
		'id' => 'sldpagehvbd',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(	
		'name' => __('Excerpt Lenth', 'transport-pro'),		
		'desc' => __('Select excerpt length for latest news boxes section', 'transport-pro'),
		'id' => 'latestnewslength',
		'std' => '22',
		'type' => 'text');	


	$options[] = array(		
		'desc' => __('Select excerpt length for testimonials section', 'transport-pro'),
		'id' => 'testimonialsexcerptlength',
		'std' => '60',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('Select excerpt length for blog post', 'transport-pro'),
		'id' => 'blogpostexcerptlength',
		'std' => '60',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('Select excerpt length for footer latest posts', 'transport-pro'),
		'id' => 'footerpostslength',
		'std' => '6',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Select excerpt length for home page team member box', 'transport-pro'),
		'id' => 'teammemberlength',
		'std' => '20',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change read more button text for latest blog post', 'transport-pro'),
		'id' => 'readmoretext',
		'std' => 'Read More',
		'type' => 'text');
				 
	$options[] = array(		
		'desc' => __('Change Show All Button text for photo gallery section', 'transport-pro'),
		'id' => 'galleryshowallbtn',
		'std' => 'Show All',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change menu word on responsive view', 'transport-pro'),
		'id' => 'menuwordchange',
		'std' => 'Menu',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('Change Categories word on blog area', 'transport-pro'),
		'id' => 'categorywordchange',
		'std' => 'Categories:',
		'type' => 'text');				
		
	$options[] = array(
		'name' => __('Blog Single Layout', 'transport-pro'),
		'desc' => __('Select layout. eg:Boxed, Wide', 'transport-pro'),
		'id' => 'singlelayout',
		'type' => 'select',
		'std' => 'singleright',
		'options' => array('singleright'=>'Blog Single Right Sidebar', 'singleleft'=>'Blog Single Left Sidebar', 'sitefull'=>'Blog Single Full Width', 'nosidebar'=>'Blog Single No Sidebar') );	
		
	$options[] = array(
		'name' => __('Woocommerce Page Layout', 'transport-pro'),
		'desc' => __('Select layout. eg:right-sidebar, left-sidebar, full-width', 'transport-pro'),
		'id' => 'woocommercelayout',
		'type' => 'select',
		'std' => 'woocommercesitefull',
		'options' => array('woocommerceright'=>'Woocommerce Right Sidebar', 'woocommerceleft'=>'Woocommerce Left Sidebar', 'woocommercesitefull'=>'Woocommerce Full Width') );	
		
	$options[] = array(	
		'name' => __('Testimonials Rotating Speed', 'transport-pro'),	
		'desc' => __('manage testimonials rotating speed.', 'transport-pro'),
		'id' => 'testimonialsrotatingspeed',
		'std' => '8000',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('True/False Auto play Testimonials.','transport-pro'),
		'id' => 'testimonialsautoplay',
		'std' => 'false',
		'type' => 'select',
		'options' => array('true'=>'True', 'false'=>'False'));			

	$options[] = array(		
		'desc' => __('Select background opacity color for Testimonials', 'transport-pro'),
		'id' => 'testimonilopacity',
		'std' => '0.8',
		'type' => 'select',
		'options'	=> array('1'=>1, '0.9'=>0.9,'0.8'=>0.8,'0.7'=>0.7,'0.6'=>0.6,'0.5'=>0.5,'0.4'=>0.4,'0.3'=>0.3,'0.2'=>0.2,));			
		


	//Layout Settings
	$options[] = array(
		'name' => __('Sections', 'transport-pro'),
		'type' => 'heading');
		
			
	$options[] = array(
		'name' => __('Slider Below Image', 'transport-pro'),
		'desc' => __('Upload  home page slider below image', 'transport-pro'),
		'id' => 'sliderbelow',
		'class' => '',
		'std'	=> get_template_directory_uri()."/images/slider-below.png",
		'type' => 'upload');
			
	//Welcome section
	$options[] = array(	
		'name' => __('Welcome Section', 'transport-pro'),
		'desc'	=> __('select page for welcome section','transport-pro'),
		'id' 	=> 'welcomebox',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for welcome page', 'transport-pro'),
		'id' => 'welcomeimg',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	$options[] = array(			
		'desc' => __('select excerpt length for welcome page section', 'transport-pro'),
		'id' => 'wordslengthforwelcomepage',
		'std' => '70',
		'type' => 'text');		
		
		
	$options[] = array(			
		'desc'	=> __('Check to hide welcome page section', 'transport-pro'),
		'id'	=> 'hidewelcomesection',
		'type'	=> 'checkbox',
		'std'	=> '');	//welcome section
		
		
	//What We Can Do For You section
	$options[] = array(	
		'name' => __('What We Can Do For You Section', 'transport-pro'),
		'desc'	=> __('select page for what we can do section','transport-pro'),
		'id' 	=> 'transportservices',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for what we can do page', 'transport-pro'),
		'id' => 'transrvimg',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	$options[] = array(			
		'desc' => __('change read more button text for what we can do section', 'transport-pro'),
		'id' => 'ridmorforsevices',
		'std' => 'Read More',
		'type' => 'text');
		
	$options[] = array(			
		'desc' => __('select excerpt length for what we can do section', 'transport-pro'),
		'id' => 'lengthforwwdfupage',
		'std' => '60',
		'type' => 'text');			
		
	$options[] = array(			
		'desc' => __('manage services for what we can do section', 'transport-pro'),
		'id' => 'transervicesarea',
		'std' => '		
		[services image="'.get_template_directory_uri().'/images/services1.png" title="Transportation" link="#"]
		[services image="'.get_template_directory_uri().'/images/services2.png" title="Warehousing" link="#"]
		[services image="'.get_template_directory_uri().'/images/services3.png" title="Logistics" link="#"]
		[services image="'.get_template_directory_uri().'/images/services4.png" title="Cargo" link="#"]
		[services image="'.get_template_directory_uri().'/images/services5.png" title="Package & Storage" link="#"]
		[services image="'.get_template_directory_uri().'/images/services6.png" title="Door Delivery" link="#"]',
		'type' => 'editor');	
		
		
	$options[] = array(			
		'desc'	=> __('Check to hide what we can do for you section', 'transport-pro'),
		'id'	=> 'hidewhatwecandosection',
		'type'	=> 'checkbox',
		'std'	=> '');	//What We Can Do For You section
			
	//Section tab
	$options[] = array(
		'name' => __('Number of Sections', 'transport-pro'),
		'desc' => __('Select number of sections', 'transport-pro'),
		'id' => 'numsection',
		'type' => 'select',
		'std' => '9',
		'options' => array_combine(range(1,30), range(1,30)) );

	$numsecs = of_get_option( 'numsection', 9 );
	
	for( $n=1; $n<=$numsecs; $n++){
		$options[] = array(
			'desc' => __("<h3>Section ".$n."</h3>", 'transport-pro'),
			'class' => 'toggle_title',
			'type' => 'info');	
				
		$options[] = array(
			'name' => __('Section Title', 'transport-pro'),
			'id' => 'sectiontitle'.$n,
			'std' => ( ( isset($section_text[$n]['section_title']) ) ? $section_text[$n]['section_title'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section ID', 'transport-pro'),
			'desc'	=> __('Enter your section ID here. SECTION ID MUST BE IN SMALL LETTERS ONLY AND DO NOT ADD SPACE OR SYMBOL.', 'transport-pro'),
			'id' => 'menutitle'.$n,
			'std' => ( ( isset($section_text[$n]['menutitle']) ) ? $section_text[$n]['menutitle'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section Background Color', 'transport-pro'),
			'desc' => __('Select background color for section', 'transport-pro'),
			'id' => 'sectionbgcolor'.$n,
			'std' => ( ( isset($section_text[$n]['bgcolor']) ) ? $section_text[$n]['bgcolor'] : '' ),
			'type' => 'color');
			
		$options[] = array(
			'name' => __('Background Image', 'transport-pro'),
			'id' => 'sectionbgimage'.$n,
			'class' => '',
			'std' => ( ( isset($section_text[$n]['bgimage']) ) ? $section_text[$n]['bgimage'] : '' ),
			'type' => 'upload');

		$options[] = array(
			'name' => __('Section CSS Class', 'transport-pro'),
			'desc' => __('Set class for this section.', 'transport-pro'),
			'id' => 'sectionclass'.$n,
			'std' => ( ( isset($section_text[$n]['class']) ) ? $section_text[$n]['class'] : '' ),
			'type' => 'text');
			
		$options[] = array(
			'name'	=> __('Hide Section', 'transport-pro'),
			'desc'	=> __('Check to hide this section', 'transport-pro'),
			'id'	=> 'hidesec'.$n,
			'type'	=> 'checkbox',
			'std'	=> '');

		$options[] = array(
			'name' => __('Section Content', 'transport-pro'),
			'id' => 'sectioncontent'.$n,
			'std' => ( ( isset($section_text[$n]['content']) ) ? $section_text[$n]['content'] : '' ),
			'type' => 'editor');
	}


	//SLIDER SETTINGS
	$options[] = array(
		'name' => __('Homepage Slider', 'transport-pro'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Inner Page Banner', 'transport-pro'),
		'desc' => __('Upload inner page banner for site', 'transport-pro'),
		'id' => 'innerpagebanner',
		'class' => '',
		'std'	=> get_template_directory_uri()."/images/inner-banner.jpg",
		'type' => 'upload');
		
		
	$options[] = array(
		'name' => __('Custom Slider Shortcode Area For Home Page', 'transport-pro'),
		'desc' => __('Enter here your slider shortcode without php tag', 'transport-pro'),
		'id' => 'customslider',
		'std' => '',
		'type' => 'textarea');		
		
	$options[] = array(
		'name' => __('Slider Effects and Timing', 'transport-pro'),
		'desc' => __('Select slider effect.','transport-pro'),
		'id' => 'slideefect',
		'std' => 'random',
		'type' => 'select',
		'options' => array('random'=>'Random', 'fade'=>'Fade', 'fold'=>'Fold', 'sliceDown'=>'Slide Down', 'sliceDownLeft'=>'Slide Down Left', 'sliceUp'=>'Slice Up', 'sliceUpLeft'=>'Slice Up Left', 'sliceUpDown'=>'Slice Up Down', 'sliceUpDownLeft'=>'Slice Up Down Left', 'slideInRight'=>'SlideIn Right', 'slideInLeft'=>'SlideIn Left', 'boxRandom'=>'Box Random', 'boxRain'=>'Box Rain', 'boxRainReverse'=>'Box Rain Reverse', 'boxRainGrow'=>'Box Rain Grow', 'boxRainGrowReverse'=>'Box Rain Grow Reverse' ));
		
	$options[] = array(
		'desc' => __('Animation speed should be multiple of 100.', 'transport-pro'),
		'id' => 'slideanim',
		'std' => 500,
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Add slide pause time.', 'transport-pro'),
		'id' => 'slidepause',
		'std' => 4000,
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slide Controllers', 'transport-pro'),
		'desc' => __('Hide/Show Direction Naviagtion of slider.','transport-pro'),
		'id' => 'slidenav',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Hide/Show pager of slider.','transport-pro'),
		'id' => 'slidepage',
		'std' => 'false',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Pause Slide on Hover.','transport-pro'),
		'id' => 'slidepausehover',
		'std' => 'false',
		'type' => 'select',
		'options' => array('true'=>'Yes', 'false'=>'No'));	
		
	$options[] = array(
		'name' => __('Slider Image 1', 'transport-pro'),
		'desc' => __('First Slide', 'transport-pro'),
		'id' => 'slide1',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider1.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 1', 'transport-pro'),
		'id' => 'slidetitle1',
		'std' => '<span>MAKING</span> Transport Fast & Save',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'transport-pro'),
		'id' => 'slidedesc1',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'transport-pro'),
		'id' => 'slidebutton1',
		'std' => 'Read More',
		'type' => 'text');	

	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'transport-pro'),
		'id' => 'slideurl1',
		'std' => '#',
		'type' => 'text');		
		
	
	$options[] = array(
		'name' => __('Slider Image 2', 'transport-pro'),
		'desc' => __('Second Slide', 'transport-pro'),
		'class' => '',
		'id' => 'slide2',
		'std' => get_template_directory_uri()."/images/slides/slider2.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 2', 'transport-pro'),
		'id' => 'slidetitle2',
		'std' => '<span>WE ARE THE LEADING</span> Strongest Distribution Network',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'transport-pro'),
		'id' => 'slidedesc2',
		'std' => '',
		'type' => 'textarea');	
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'transport-pro'),
		'id' => 'slidebutton2',
		'std' => 'Read More',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'transport-pro'),
		'id' => 'slideurl2',
		'std' => '#',
		'type' => 'text');	
	
	$options[] = array(
		'name' => __('Slider Image 3', 'transport-pro'),
		'desc' => __('Third Slide', 'transport-pro'),
		'id' => 'slide3',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider3.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 3', 'transport-pro'),
		'id' => 'slidetitle3',
		'std' => '<span>OCEAN FREIGHT</span> Providing First Class Sea Delivery',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'transport-pro'),
		'id' => 'slidedesc3',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'transport-pro'),
		'id' => 'slidebutton3',
		'std' => 'Read More',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'transport-pro'),
		'id' => 'slideurl3',
		'std' => '#',
		'type' => 'text');	
	
	$options[] = array(
		'name' => __('Slider Image 4', 'transport-pro'),
		'desc' => __('Third Slide', 'transport-pro'),
		'id' => 'slide4',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 4', 'transport-pro'),
		'id' => 'slidetitle4',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'transport-pro'),
		'id' => 'slidedesc4',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'transport-pro'),
		'id' => 'slidebutton4',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'transport-pro'),
		'id' => 'slideurl4',
		'std' => '',
		'type' => 'text');				
	
	$options[] = array(
		'name' => __('Slider Image 5', 'transport-pro'),
		'desc' => __('Fifth Slide', 'transport-pro'),
		'id' => 'slide5',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 5', 'transport-pro'),
		'id' => 'slidetitle5',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'transport-pro'),
		'id' => 'slidedesc5',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'transport-pro'),
		'id' => 'slidebutton5',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'transport-pro'),
		'id' => 'slideurl5',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 6', 'transport-pro'),
		'desc' => __('Sixth Slide', 'transport-pro'),
		'id' => 'slide6',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 6', 'transport-pro'),
		'id' => 'slidetitle6',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'transport-pro'),
		'id' => 'slidedesc6',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'transport-pro'),
		'id' => 'slidebutton6',
		'std' => '',
		'type' => 'text');		
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'transport-pro'),
		'id' => 'slideurl6',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 7', 'transport-pro'),
		'desc' => __('Seventh Slide', 'transport-pro'),
		'id' => 'slide7',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 7', 'transport-pro'),
		'id' => 'slidetitle7',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'transport-pro'),
		'id' => 'slidedesc7',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'transport-pro'),
		'id' => 'slidebutton7',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'transport-pro'),
		'id' => 'slideurl7',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 8', 'transport-pro'),
		'desc' => __('Eighth Slide', 'transport-pro'),
		'id' => 'slide8',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 8', 'transport-pro'),
		'id' => 'slidetitle8',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'transport-pro'),
		'id' => 'slidedesc8',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'transport-pro'),
		'id' => 'slidebutton8',
		'std' => '',
		'type' => 'text');		
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'transport-pro'),
		'id' => 'slideurl8',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 9', 'transport-pro'),
		'desc' => __('Ninth Slide', 'transport-pro'),
		'id' => 'slide9',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 9', 'transport-pro'),
		'id' => 'slidetitle9',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'transport-pro'),
		'id' => 'slidedesc9',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'transport-pro'),
		'id' => 'slidebutton9',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'transport-pro'),
		'id' => 'slideurl9',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 10', 'transport-pro'),
		'desc' => __('Tenth Slide', 'transport-pro'),
		'id' => 'slide10',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 10', 'transport-pro'),
		'id' => 'slidetitle10',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'transport-pro'),
		'id' => 'slidedesc10',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'transport-pro'),
		'id' => 'slidebutton10',
		'std' => '',
		'type' => 'text');			
	
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'transport-pro'),
		'id' => 'slideurl10',
		'std' => '',
		'type' => 'text');
	

	//Footer SETTINGS
	$options[] = array(
		'name' => __('Footer', 'transport-pro'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Footer Layout', 'transport-pro'),
		'desc' => __('footer Select layout. eg:Column, 1, 2, 3 and 4', 'transport-pro'),
		'id' => 'footerlayout',
		'type' => 'select',
		'std' => 'fourcolumn',
		'options' => array('onecolumn'=>'Footer 1 column', 'twocolumn'=>'Footer 2 column', 'threecolumn'=>'Footer 3 column', 'fourcolumn'=>'Footer 4 column', ) );			

	$options[] = array(
		'desc' => __('Select background Image for footer', 'buildup-pro'),
		'id' => 'footerbgimage',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'name' => __('Footer Contact Info', 'transport-pro'),
		'desc' => __('Add footer contact info title here', 'transport-pro'),
		'id' => 'contacttitle',
		'std' => 'CONTACT US',
		'type' => 'text');	
		
	$options[] = array(	
		'desc' => __('Add company address here.', 'transport-pro'),
		'id' => 'address',
		'std' => 'Fusce nulla tellus, sodales ultricies dictum eget metus. Integer egestas. sodales ultricies dictum eget metus.',
		'type' => 'textarea');
		
	$options[] = array(		
		'desc' => __('Add phone number here.', 'transport-pro'),
		'id' => 'phone',
		'std' => '345-677-554',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('Add fax number here.', 'transport-pro'),
		'id' => 'fax',
		'std' => '1-888-123-4567',
		'type' => 'text');	
		
	$options[] = array(
		'desc' => __('Add email address here.', 'transport-pro'),
		'id' => 'email',
		'std' => 'info@sitename.com',
		'type' => 'text');		
		
	$options[] = array(
		'name' => __('Services Title', 'transport-pro'),
		'desc' => __('services title.', 'transport-pro'),
		'id' => 'footermenutitle',
		'std' => 'SEVICES',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Quick links Title', 'transport-pro'),
		'desc' => __('Footer Quick links title.', 'transport-pro'),
		'id' => 'aboutustitle',
		'std' => 'QUICK LINKS',
		'type' => 'text');			
		
	$options[] = array(
		'name' => __('Subcribe Title', 'transport-pro'),
		'desc' => __('Footer Subcribe title.', 'transport-pro'),
		'id' => 'letestpoststitle',
		'std' => 'SUBSCRIBE US',
		'type' => 'text');		
		
	$options[] = array(	
		'desc' => __('Add Subscribe to our newsletter! here.', 'transport-pro'),
		'id' => 'newslettertextarea',
		'std' => '<p>Subscribe to our newsletter!</p>
<form class="newsletter-form"><input placeholder="Enter your email" type="email"><i class="fas fa-paper-plane"></i><input value="" type="submit"></i></form>
[clear]
<h5>SOCIAL MEDIA</h5>
[social_area]
[social icon="fab fa-facebook" link="#"]
[social icon="fab fa-twitter" link="#"]
[social icon="fab fa-google-plus" link="#"]
[social icon="fab fa-linkedin" link="#"]
[social icon="fab fa-vimeo" link="#"]
[social icon="fab fa-youtube" link="#"]
[/social_area]',
		'type' => 'editor');		
		
	
		
	$options[] = array(
		'name' => __('Footer Copyright', 'transport-pro'),
		'desc' => __('Copyright Text for your site.', 'transport-pro'),
		'id' => 'copytext',
		'std' => 'Copyright &copy; 2018 Transport',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Footer Text Link', 'transport-pro'),
		'id' => 'ftlink',
		'std' => 'Design by <a href="'.esc_url('https://www.gracethemes.com/').'" target="_blank">Grace Themes</a>',
		'type' => 'textarea',);
		
	$options[] = array(
		'desc' => __('Footer Back to Top Button', 'transport-pro'),
		'id' => 'backtotop',
		'std' => '[back-to-top]',
		'type' => 'textarea',);

	//Short codes
	$options[] = array(
		'name' => __('Short Codes', 'transport-pro'),
		'type' => 'heading');
	
	$options[] = array(
		'name' => __('Photo Gallery', 'transport-pro'),
		'desc' => __('[photogallery filter="true" show="8"]', 'transport-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Testimonials Rotator', 'transport-pro'),
		'desc' => __('[testimonials]', 'transport-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('All Testimonials Listing', 'transport-pro'),
		'desc' => __('[testimonials-listing show="10"]', 'transport-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Sidebar Testimonials Rotator', 'transport-pro'),
		'desc' => __('[sidebar-testimonials]', 'transport-pro'),
		'type' => 'info');		

	$options[] = array(
		'name' => __('Services Shortcode', 'transport-pro'),
		'desc' => __('[services image="ADD YOUR IMAGE URL HERE" title="Swedish " link="#"]', 'transport-pro'),
		'type' => 'info');		
			
	$options[] = array(
		'name' => __('Accordion Shortcode', 'transport-pro'),
		'desc' => __('[accordion][accordion_content title="Cusumer Package Good"]Duis eget commodo tortor. Donec volutpat, sem amet interdum egestas, mi niiaculis tellus, ornare pulvinar lacus nunc a sem. Duis viverra purus non est fringilla volutpat. Quisque magna turpis, pharetr tem maximus maximus elit. Duis lacus metus, bibendum sed consectetur vitae. Fusce[/accordion_content][/accordion]', 'transport-pro'),
		'type' => 'info');	
		
		$options[] = array(
		'name' => __('Features Shortcode', 'transport-pro'),
		'desc' => __('[features image="ADD IMAGE URL HERE" title="Satisfied Cost" description="Duis eget commodo tortor. Dvolutpat, sem amet interdum egestas" titlecolor="#ffffff" color="#6f6f6f" link="#"]', 'transport-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Our Pricing', 'transport-pro'),
		'desc' => __('[plans haspopular="yes"]<br>
[plan title="BASIC" price="$99" pricedes="/ Per month" btntext="Purchase" btnlink="#" star="1"]<br>
	&lt;li&gt;Single Truck&lt;/li&gt;<br>
	&lt;li&gt;Additional Truck Available&lt;/li&gt;<br>
	&lt;li&gt;Frieght Insurance&lt;/li&gt;<br>
	&lt;li&gt;Packaging&lt;/li&gt;<br>
	&lt;li&gt;1000 Km&lt;/li&gt;<br>
[/plan][plan popular="yes" title="STANDARD" price="$199" pricedes="/ Per month" btntext="Purchase" btnlink="#" star="3"]<br>
	&lt;li&gt;Double Truck&lt;/li&gt;<br>
	&lt;li&gt;Additional Truck Available&lt;/li&gt;<br>
	&lt;li&gt;Frieght Insurance&lt;/li&gt;<br>
	&lt;li&gt;Packaging&lt;/li&gt;<br>
	&lt;li&gt;1500 Km&lt;/li&gt;<br>
[/plan][plan title="PREMIUM" price="$199" pricedes="/ Per month" btntext="Purchase" btnlink="#" star="5"]<br>
	&lt;li&gt;Double Truck&lt;/li&gt;<br>
	&lt;li&gt;Additional Truck Available&lt;/li&gt;<br>
	&lt;li&gt;Frieght Insurance&lt;/li&gt;<br>
	&lt;li&gt;Packaging&lt;/li&gt;<br>
	&lt;li&gt;Unlimited&lt;/li&gt;<br>
[/plan]<br>
[/plans]', 'transport-pro'),
		'type' => 'info');		

	$options[] = array(
		'name' => __('Welcome Shortcode', 'transport-pro'),
		'desc' => __('[wearesuprime image="ADD YOUR IMAGE URL HERE" title="Welcome to Transport" readmoretext="READ MORE" url="#" color="#6d6d6d" bgcolor="#ffffff" ]<p>Fusce vehicula elementum justo, a lobortis purus suscipit quis. Vivamus vulputate risus risus. Proin at dui eros. Nulla et vulputate turpis. Sed congue, libero quis tincidunt lacinia, ligula erat interdum augue, quis facilisis mi diam ut tellus. Phasellus tincidunt diam libero, vitae imperdiet odio lacinia eu. Curabitur eu mauris eget turpis facilisis mattis. </p><p>Nullam ultricies nibh tellus rutrum ultrices eros euismod Scongue, libero quis tincidunt lacinia, ligula erat interdum augue, quis facilisis mi diam ut tellus. Phasellus tincidunt diam libero, vitae imperdiet odio lacinia eu.</p>[/wearesuprime]', 'transport-pro'),
		'type' => 'info');		
		
	$options[] = array(
		'name' => __('Our Client', 'transport-pro'),
		'desc' => __('[client_lists]<br />
		[client title="Enter here title" image="Enter here client image logo url with https:" link="#"]<br />
		[client title="Enter here title" image="Enter here client image logo url with https:" link="#"]<br />
		[client title="Enter here title" image="Enter here client image logo url with https:" link="#"]<br />
		[client title="Enter here title" image="Enter here client image logo url with https:" link="#"]<br />
		[client title="Enter here title" image="Enter here client image logo url with https:" link="#"]<br />
		[/client_lists]', 'transport-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Contact Form', 'transport-pro'),
		'desc' => __('[contactform to_email="test@example.com" title="Contact Form"] 
', 'transport-pro'),
		'type' => 'info');

	$options[] = array(
		'name' => __('Our Team', 'transport-pro'),
		'desc' => __('[our-team show="4"]', 'transport-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Latest News', 'transport-pro'),
		'desc' => __('[latest-news showposts="3"]', 'transport-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Our Skills', 'transport-pro'),
		'desc' => __('[skill title="Employment Lawyer" percent="90" bgcolor="#f6c311"][skill title="Corporate Lawyer" percent="70" bgcolor="#f6c311"][skill title="Bankruptcy Lawyer" percent="55" bgcolor="#f6c311"][skill title="Criminal Lawyer" percent="95" bgcolor="#f6c311"]', 'transport-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Custom Button', 'transport-pro'),
		'desc' => __('[button align="center" name="View Gallery" link="#" target=""]', 'transport-pro'),
		'type' => 'info');		
		
	$options[] = array(
		'name' => __('Search Form', 'transport-pro'),
		'desc' => __('[searchform]', 'transport-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Social Icons ( Note: More social icons can be found at: http://fortawesome.github.io/Font-Awesome/icons/)', 'transport-pro'),
		'desc' => __('[social_area][social icon="fab fa-facebook" link="#"][social icon="fab fa-twitter" link="#"][/social_area]', 'transport-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('2 Column Content', 'transport-pro'),
		'desc' => __('<pre>
[column_content type="one_half"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_half_last"]
	Column 2 Content goes here...
[/column_content]
</pre>', 'transport-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('3 Column Content', 'transport-pro'),
		'desc' => __('<pre>
[column_content type="one_third"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_third"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_third_last"]
	Column 3 Content goes here...
[/column_content]
</pre>', 'transport-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('4 Column Content', 'transport-pro'),
		'desc' => __('<pre>
[column_content type="one_fourth"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_fourth"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_fourth"]
	Column 3 Content goes here...
[/column_content]

[column_content type="one_fourth_last"]
	Column 4 Content goes here...
[/column_content]
</pre>', 'transport-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('5 Column Content', 'transport-pro'),
		'desc' => __('<pre>
[column_content type="one_fifth"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 3 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 4 Content goes here...
[/column_content]

[column_content type="one_fifth_last"]
	Column 5 Content goes here...
[/column_content]
</pre>', 'transport-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('Tabs', 'transport-pro'),
		'desc' => __('<pre>
[tabs]
	[tab title="TAB TITLE 1"]
		TAB CONTENT 1
	[/tab]
	[tab title="TAB TITLE 2"]
		TAB CONTENT 2
	[/tab]
	[tab title="TAB TITLE 3"]
		TAB CONTENT 3
	[/tab]
[/tabs]
</pre>', 'transport-pro'),
		'type' => 'info');


	$options[] = array(
		'name' => __('Toggle Content', 'transport-pro'),
		'desc' => __('<pre>
[toggle_content title="Toggle Title 1"]
	Toggle content 1...
[/toggle_content]
[toggle_content title="Toggle Title 2"]
	Toggle content 2...
[/toggle_content]
[toggle_content title="Toggle Title 3"]
	Toggle content 3...
[/toggle_content]
</pre>', 'transport-pro'),
		'type' => 'info');


	$options[] = array(
		'name' => __('Accordion Content', 'transport-pro'),
		'desc' => __('<pre>
[accordion]
	[accordion_content title="ACCORDION TITLE 1"]
		ACCORDION CONTENT 1
	[/accordion_content]
	[accordion_content title="ACCORDION TITLE 2"]
		ACCORDION CONTENT 2
	[/accordion_content]
	[accordion_content title="ACCORDION TITLE 3"]
		ACCORDION CONTENT 3
	[/accordion_content]
[/accordion]
</pre>', 'transport-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Clear', 'transport-pro'),
		'desc' => __('<pre>
[clear]
</pre>', 'transport-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('HR / Horizontal separation line', 'transport-pro'),
		'desc' => __('<pre>
[hr] or &lt;hr&gt;
</pre>', 'transport-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Subtitle', 'transport-pro'),
		'desc' => __('[subtitle color="#111111" bordercolor="#f6c311" fontsize="15px" align="" description="short descriptio here"]', 'transport-pro'),
		'type' => 'info');	
		
		$options[] = array(
		'name' => __('Short Description', 'transport-pro'),
		'desc' => __('[short-desc color="#6f6f6f" fontsize="15px" align="" description="short descriptio here"]', 'transport-pro'),
		'type' => 'info');	
	
	$options[] = array(
		'name' => __('Scroll to Top', 'transport-pro'),
		'desc' => __('[back-to-top] 
', 'transport-pro'),
		'type' => 'info');

	return $options;
}